/* (c) 2001-2003 by Marcin Wiacek */

#include <string.h>

#include <gammu-info.h>

#include "gsmnet.h"
#include "../misc/coding/coding.h"

const GSM_CodeName GSM_Countries[] = {

	{"202", "Greece"},
	{"204", "Netherlands"},
	{"206", "Belgium"},
	{"208", "France"},
	{"212", "Kosovo"},
	{"212", "Monaco"},
	{"213", "Andorra"},
	{"214", "Spain"},
	{"216", "Hungary"},
	{"218", "Bosnia and Herzegovina"},
	{"219", "Croatia"},
	{"220", "Serbia"},
	{"221", "Kosovo"},
	{"222", "Italy"},
	{"225", "Vatican"},
	{"226", "Romania"},
	{"228", "Switzerland"},
	{"230", "Czech Republic"},
	{"231", "Slovakia"},
	{"232", "Austria"},
	{"234", "Guernsey"},
	{"234", "Isle of Man"},
	{"234", "Jersey"},
	{"234", "United Kingdom"},
	{"235", "United Kingdom"},
	{"238", "Denmark"},
	{"240", "Sweden"},
	{"242", "Norway"},
	{"244", "Finland"},
	{"246", "Lithuania"},
	{"247", "Latvia"},
	{"248", "Estonia"},
	{"250", "Russian Federation"},
	{"255", "Ukraine"},
	{"257", "Belarus"},
	{"259", "Moldova"},
	{"260", "Poland"},
	{"262", "Germany"},
	{"266", "Gibraltar"},
	{"268", "Portugal"},
	{"270", "Luxembourg"},
	{"272", "Ireland"},
	{"274", "Iceland"},
	{"276", "Albania"},
	{"278", "Malta"},
	{"280", "Cyprus"},
	{"282", "Georgia"},
	{"283", "Armenia"},
	{"284", "Bulgaria"},
	{"286", "Turkey"},
	{"288", "Faroe Islands"},
	{"289", "Abkhazia"},
	{"290", "Greenland"},
	{"292", "San Marino"},
	{"293", "Kosovo"},
	{"293", "Slovenia"},
	{"294", "Macedonia"},
	{"295", "Liechtenstein"},
	{"297", "Montenegro"},
	{"302", "Canada"},
	{"308", "Saint Pierre and Miquelon"},
	{"310", "Bermuda"},
	{"310", "Guam"},
	{"310", "Northern Mariana Islands"},
	{"310", "United States of America"},
	{"311", "Guam"},
	{"311", "United States of America"},
	{"312", "United States of America"},
	{"313", "United States of America"},
	{"316", "United States of America"},
	{"330", "Puerto Rico"},
	{"334", "Mexico"},
	{"338", "Bermuda"},
	{"338", "Jamaica"},
	{"338", "Saint Lucia"},
	{"338", "Turks and Caicos Islands"},
	{"340", "French Antilles"},
	{"342", "Barbados"},
	{"344", "Antigua and Barbuda"},
	{"346", "Cayman Islands"},
	{"348", "British Virgin Islands"},
	{"350", "Bermuda"},
	{"352", "Grenada"},
	{"354", "Montserrat"},
	{"356", "Saint Kitts and Nevis"},
	{"358", "Saint Lucia"},
	{"360", "Saint Vincent and the Grenadines"},
	{"362", "Former Netherlands Antilles"},
	{"363", "Aruba"},
	{"364", "Bahamas"},
	{"365", "Anguilla"},
	{"366", "Dominica"},
	{"368", "Cuba"},
	{"370", "Dominican Republic"},
	{"372", "Haiti"},
	{"374", "Trinidad and Tobago"},
	{"376", "Turks and Caicos Islands"},
	{"400", "Azerbaijan"},
	{"401", "Kazakhstan"},
	{"402", "Bhutan"},
	{"404", "India"},
	{"405", "India"},
	{"410", "Pakistan"},
	{"412", "Afghanistan"},
	{"413", "Sri Lanka"},
	{"414", "Myanmar"},
	{"415", "Lebanon"},
	{"416", "Jordan"},
	{"417", "Syria"},
	{"418", "Iraq"},
	{"419", "Kuwait"},
	{"420", "Saudi Arabia"},
	{"421", "Yemen"},
	{"422", "Oman"},
	{"424", "United Arab Emirates"},
	{"425", "Israel"},
	{"425", "Palestine"},
	{"426", "Bahrain"},
	{"427", "Qatar"},
	{"428", "Mongolia"},
	{"429", "Nepal"},
	{"432", "Iran"},
	{"434", "Uzbekistan"},
	{"436", "Tajikistan"},
	{"437", "Kyrgyzstan"},
	{"438", "Turkmenistan"},
	{"440", "Japan"},
	{"441", "Japan"},
	{"450", "South Korea"},
	{"452", "Vietnam"},
	{"454", "Hong Kong"},
	{"455", "Macau"},
	{"456", "Cambodia"},
	{"457", "Laos"},
	{"460", "China"},
	{"466", "Taiwan"},
	{"467", "North Korea"},
	{"470", "Bangladesh"},
	{"472", "Maldives"},
	{"502", "Malaysia"},
	{"505", "Australia"},
	{"505", "Norfolk Island"},
	{"510", "Indonesia"},
	{"514", "East Timor"},
	{"515", "Philippines"},
	{"520", "Thailand"},
	{"525", "Singapore"},
	{"528", "Brunei"},
	{"530", "New Zealand"},
	{"536", "Nauru"},
	{"537", "Papua New Guinea"},
	{"539", "Tonga"},
	{"540", "Solomon Islands"},
	{"541", "Vanuatu"},
	{"542", "Fiji"},
	{"543", "Wallis and Futuna"},
	{"544", "American Samoa"},
	{"545", "Kiribati"},
	{"546", "New Caledonia"},
	{"547", "French Polynesia"},
	{"548", "Cook Islands"},
	{"549", "Samoa"},
	{"550", "Federated States of Micronesia"},
	{"551", "Marshall Islands"},
	{"552", "Palau"},
	{"553", "Tuvalu"},
	{"554", "Tokelau"},
	{"555", "Niue"},
	{"602", "Egypt"},
	{"603", "Algeria"},
	{"604", "Morocco"},
	{"605", "Tunisia"},
	{"606", "Libya"},
	{"607", "Gambia"},
	{"608", "Senegal"},
	{"609", "Mauritania"},
	{"610", "Mali"},
	{"611", "Guinea"},
	{"612", "Ivory Coast"},
	{"613", "Burkina Faso"},
	{"614", "Niger"},
	{"615", "Togo"},
	{"616", "Benin"},
	{"617", "Mauritius"},
	{"618", "Liberia"},
	{"619", "Sierra Leone"},
	{"620", "Ghana"},
	{"621", "Nigeria"},
	{"622", "Chad"},
	{"623", "Central African Republic"},
	{"624", "Cameroon"},
	{"625", "Cape Verde"},
	{"626", "Sao Tome and Principe"},
	{"627", "Equatorial Guinea"},
	{"628", "Gabon"},
	{"629", "Congo"},
	{"630", "Democratic Republic of the Congo"},
	{"631", "Angola"},
	{"632", "Guinea-Bissau"},
	{"633", "Seychelles"},
	{"634", "Sudan"},
	{"635", "Rwanda"},
	{"636", "Ethiopia"},
	{"637", "Somalia"},
	{"638", "Djibouti"},
	{"639", "Kenya"},
	{"640", "Tanzania"},
	{"641", "Uganda"},
	{"642", "Burundi"},
	{"643", "Mozambique"},
	{"645", "Zambia"},
	{"646", "Madagascar"},
	{"647", "French Indian Ocean Territories"},
	{"648", "Zimbabwe"},
	{"649", "Namibia"},
	{"650", "Malawi"},
	{"651", "Lesotho"},
	{"652", "Botswana"},
	{"653", "Swaziland"},
	{"654", "Comoros"},
	{"655", "South Africa"},
	{"657", "Eritrea"},
	{"658", "Saint Helena, Ascension and Tristan da Cunha"},
	{"659", "South Sudan"},
	{"702", "Belize"},
	{"704", "Guatemala"},
	{"706", "El Salvador"},
	{"708", "Honduras"},
	{"710", "Nicaragua"},
	{"712", "Costa Rica"},
	{"714", "Panama"},
	{"716", "Peru"},
	{"722", "Argentina"},
	{"724", "Brazil"},
	{"730", "Chile"},
	{"732", "Colombia"},
	{"734", "Venezuela"},
	{"736", "Bolivia"},
	{"738", "Guyana"},
	{"740", "Ecuador"},
	{"742", "French Guiana"},
	{"744", "Paraguay"},
	{"746", "Suriname"},
	{"748", "Uruguay"},
	{"750", "Falkland Islands"},
	{"901", "International operators"},
	{"995", "British Indian Ocean Territory"},

	{"999", "Dummy"},

	{"", ""},
};

const GSM_CodeName GSM_Networks[] = {

	{"001 01", "TEST"},
	{"202 01", "Cosmote"},
	{"202 02", "Cosmote"},
	{"202 03", "OTE"},
	{"202 04", "OSE"},
	{"202 05", "Vodafone"},
	{"202 06", "Cosmoline"},
	{"202 07", "AMD Telecom"},
	{"202 09", "Wind"},
	{"202 10", "Wind"},
	{"202 11", "interConnect"},
	{"202 12", "Yuboto"},
	{"202 13", "Compatel Limited"},
	{"202 14", "Cyta Hellas"},
	{"202 15", "BWS"},
	{"202 16", "Inter Telecom"},
	{"204 01", "RadioAccess Network Services"},
	{"204 02", "Tele2"},
	{"204 03", "Voiceworks"},
	{"204 04", "Vodafone"},
	{"204 05", "Elephant Talk Communications Premium Rate Services"},
	{"204 06", "Vectone Mobile"},
	{"204 07", "Teleena (MVNE)"},
	{"204 08", "KPN"},
	{"204 09", "Lycamobile"},
	{"204 10", "KPN"},
	{"204 11", "VoipIT B.V."},
	{"204 12", "Telfort"},
	{"204 13", "Unica Installatietechniek B.V."},
	{"204 14", "6GMOBILE B.V."},
	{"204 15", "Ziggo"},
	{"204 16", "T-Mobile (BEN)"},
	{"204 17", "Intercity Zakelijk"},
	{"204 18", "upc"},
	{"204 19", "Mixe Communication Solutions B.V."},
	{"204 20", "T-Mobile"},
	{"204 21", "ProRail B.V."},
	{"204 22", "Ministerie van Defensie"},
	{"204 23", "Wyless Nederland B.V."},
	{"204 24", "Private Mobility Nederland B.V."},
	{"204 25", "CapX B.V."},
	{"204 26", "SpeakUp B.V."},
	{"204 27", "Breezz Nederland B.V."},
	{"204 28", "Lancelot B.V."},
	{"204 29", "Private Mobile Ltd"},
	{"204 60", "Nextgen Mobile Ltd"},
	{"204 61", "BodyTrace Netherlands B.V."},
	{"204 62", "Voxbone"},
	{"204 64", "Zetacom B.V."},
	{"204 65", "AGMS Netherlands B.V."},
	{"204 66", "Utility Connect B.V."},
	{"204 67", "Koning en Hartman B.V."},
	{"204 68", "Roamware (Netherlands) B.V."},
	{"204 69", "KPN Mobile The Netherlands B.V."},
	{"206 00", "Proximus"},
	{"206 01", "Proximus"},
	{"206 02", "N.M.B.S."},
	{"206 05", "Telenet"},
	{"206 06", "Lycamobile"},
	{"206 07", "Vectone Mobile"},
	{"206 09", "Voxbone"},
	{"206 10", "Orange"},
	{"206 15", "Elephant Talk Communications Schweiz GmbH"},
	{"206 16", "NextGen Mobile Ltd."},
	{"206 20", "BASE"},
	{"206 25", "Voyacom SPRL"},
	{"206 40", "JOIN"},
	{"208 01", "Orange"},
	{"208 02", "Orange"},
	{"208 03", "MobiquiThings"},
	{"208 04", "Sisteer"},
	{"208 05", "Globalstar Europe"},
	{"208 06", "Globalstar Europe"},
	{"208 07", "Globalstar Europe"},
	{"208 08", "Completel Mobile"},
	{"208 09", "SFR"},
	{"208 10", "SFR"},
	{"208 11", "SFR"},
	{"208 12", "Hewlett-Packard France"},
	{"208 13", "SFR"},
	{"208 14", "SNCF Reseau "},
	{"208 15", "Free Mobile"},
	{"208 16", "Free Mobile"},
	{"208 17", "LEGOS"},
	{"208 18", "Voxbone"},
	{"208 19", "Altitude Infrastructure"},
	{"208 20", "Bouygues"},
	{"208 21", "Bouygues"},
	{"208 22", "Transatel Mobile"},
	{"208 23", "Omea Telecom"},
	{"208 24", "MobiquiThings"},
	{"208 25", "LycaMobile"},
	{"208 26", "NRJ Mobile"},
	{"208 27", "Coriolis Telecom"},
	{"208 28", "Airbus Defence and Space SAS"},
	{"208 29", "Societe International Mobile Communication"},
	{"208 30", "Syma Mobile"},
	{"208 31", "Vectone Mobile"},
	{"208 88", "Bouygues"},
	{"208 89", "Fondation b-com"},
	{"208 90", "Images & Reseaux"},
	{"208 91", "Orange S.A."},
	{"208 92", "Com4Innov"},
	{"208 93", "Thales Communications & Security SAS"},
	{"208 94", "Halys"},
	{"208 95", "Orange S.A."},
	{"208 96", "Axione"},
	{"208 97", "Thales Communications & Security SAS"},
	{"208 98", "Societe Air France"},
	{"212 10", "Office des Telephones"},
	{"213 03", "Mobiland"},
	{"214 01", "Vodafone"},
	{"214 02", "Altecom/Fibracat"},
	{"214 03", "Orange"},
	{"214 04", "Yoigo"},
	{"214 05", "Movistar"},
	{"214 06", "Vodafone"},
	{"214 07", "Movistar"},
	{"214 08", "Euskaltel"},
	{"214 09", "Orange"},
	{"214 10", "ZINNIA TELECOMUNICACIONES, S.L.U."},
	{"214 11", "TELECOM CASTILLA-LA MANCHA, S.A."},
	{"214 12", "Contacta Servicios Avanzados de Telecomunicaciones SL"},
	{"214 13", "Incotel Ingeniera y Consultaria SL"},
	{"214 14", "Incotel Servicioz Avanzados SL"},
	{"214 15", "BT"},
	{"214 16", "TeleCable"},
	{"214 17", "Mobil R"},
	{"214 18", "ONO"},
	{"214 19", "Simyo"},
	{"214 20", "Fonyou"},
	{"214 21", "Jazztel"},
	{"214 22", "DigiMobil"},
	{"214 23", "Barablu"},
	{"214 24", "Eroski"},
	{"214 25", "Lycamobile"},
	{"214 26", "Lleida Networks Serveis Telematics, SL"},
	{"214 27", "Truphone"},
	{"214 28", "Murcia4G"},
	{"214 29", "NEO-SKY 2002, S.A."},
	{"214 30", "Compatel Limited"},
	{"214 31", "Red Digital De Telecomunicaciones de las Islas Baleares, S.L."},
	{"214 32", "Tuenti"},
	{"214 33", "EURONA WIRELESS TELECOM, S.A."},
	{"214 34", "Aire Networks del Mediterraneo, S.L.U."},
	{"214 35", "INGENIUM OUTSOURCING SERVICES, S.L."},
	{"214 36", "OPEN CABLE TELECOMUNICACIONES, S.L."},
	{"214 51", "ADIF"},
	{"216 01", "Telenor Hungary"},
	{"216 02", "MVM Net Ltd."},
	{"216 03", "DIGI"},
	{"216 04", "Invitech Solutions"},
	{"216 30", "T-Mobile"},
	{"216 70", "Vodafone"},
	{"216 71", "upc"},
	{"216 99", "MAV GSM-R"},
	{"218 03", "HT-ERONET"},
	{"218 05", "m:tel"},
	{"218 90", "BH Mobile"},
	{"219 01", "T-Mobile"},
	{"219 02", "Tele2"},
	{"219 10", "Vip"},
	{"219 12", "TELE FOCUS d.o.o."},
	{"220 01", "Telenor"},
	{"220 02", "Telenor"},
	{"220 03", "mt:s"},
	{"220 04", "T-Mobile"},
	{"220 05", "VIP"},
	{"220 07", "Orion Telekom"},
	{"220 09", "Vectone Mobile"},
	{"220 11", "GLOBALTEL d.o.o."},
	{"221 01", "Vala"},
	{"221 02", "IPKO"},
	{"221 06", "Z Mobile"},
	{"222 01", "TIM"},
	{"222 02", "Elsacom"},
	{"222 04", "Intermatica"},
	{"222 05", "Telespazio"},
	{"222 06", "Vodafone"},
	{"222 07", "Noverca"},
	{"222 08", "Fastweb"},
	{"222 10", "Vodafone"},
	{"222 30", "RFI"},
	{"222 33", "Poste Mobile"},
	{"222 34", "BT Italia"},
	{"222 35", "Lycamobile"},
	{"222 36", "Digi Mobil"},
	{"222 37", "3 Italia"},
	{"222 38", "LINKEM"},
	{"222 39", "SMS Italia"},
	{"222 43", "TIM"},
	{"222 48", "TIM"},
	{"222 50", "Ho"},
	{"222 77", "IPSE 2000"},
	{"222 88", "Wind"},
	{"222 98", "BLU"},
	{"222 99", "3 Italia"},
	{"226 01", "Vodafone"},
	{"226 02", "Clicknet Mobile"},
	{"226 03", "Telekom"},
	{"226 04", "Cosmote/Zapp"},
	{"226 05", "Digi.Mobil"},
	{"226 06", "Telekom/Zapp"},
	{"226 10", "Orange"},
	{"226 11", "Enigma-System"},
	{"226 15", "Idilis"},
	{"226 16", "Lycamobile"},
	{"228 01", "Swisscom"},
	{"228 02", "Sunrise"},
	{"228 03", "Salt"},
	{"228 05", "Comfone AG"},
	{"228 06", "SBB-CFF-FFS"},
	{"228 07", "IN&Phone"},
	{"228 08", "Tele4u"},
	{"228 09", "Comfone AG"},
	{"228 12", "Sunrise"},
	{"228 50", "3G Mobile AG"},
	{"228 51", "BebbiCell AG"},
	{"228 52", "Barablu"},
	{"228 53", "upc cablecom"},
	{"228 54", "Lycamobile"},
	{"228 55", "WeMobile SA"},
	{"228 56", "SMSRelay AG"},
	{"228 57", "Mitto AG"},
	{"228 58", "beeone"},
	{"228 59", "Vectone"},
	{"228 60", "Sunrise"},
	{"228 61", "Compatel Ltd."},
	{"228 99", "Swisscom"},
	{"230 01", "T-Mobile"},
	{"230 02", "O2"},
	{"230 03", "Vodafone"},
	{"230 04", "Nordic Telecom s.r.o."},
	{"230 05", "PODA a.s."},
	{"230 06", "OSNO TELECOMUNICATION, s.r.o."},
	{"230 07", "ASTELNET, s.r.o."},
	{"230 08", "Compatel s.r.o."},
	{"230 09", "Vectone Mobile"},
	{"230 98", "Sprava zeleznicni dopravni cesty, s.o."},
	{"230 99", "Vodafone"},
	{"231 01", "Orange"},
	{"231 02", "Telekom"},
	{"231 03", "Swan"},
	{"231 04", "Telekom"},
	{"231 05", "Orange"},
	{"231 06", "O2"},
	{"231 07", "Towercom, a. s."},
	{"231 99", "ZSR"},
	{"232 01", "A1.net"},
	{"232 02", "A1 Telekom Austria"},
	{"232 03", "T-Mobile AT"},
	{"232 04", "T-Mobile AT"},
	{"232 05", "3"},
	{"232 06", "Orange AT"},
	{"232 07", "tele.ring"},
	{"232 08", "Lycamobile"},
	{"232 09", "Tele2Mobil"},
	{"232 10", "3"},
	{"232 11", "bob"},
	{"232 12", "yesss!"},
	{"232 13", "upc"},
	{"232 14", "Hutchison Drei Austria"},
	{"232 15", "Vectone Mobile"},
	{"232 16", "Hutchison Drei Austria"},
	{"232 17", "MASS Response Service GmbH"},
	{"232 18", "smartspace GmbH"},
	{"232 19", "Tele2 Telecommunication GmbH"},
	{"232 20", "m:tel"},
	{"232 21", "Salzburg AG fur Energie, Verkehr und Telekommunikation"},
	{"232 22", "Plintron Austria Limited"},
	{"232 91", "GSM-R A"},
	{"232 92", "ArgoNET"},
	{"234 00", "BT"},
	{"234 01", "Vectone Mobile"},
	{"234 02", "O2 (UK)"},
	{"234 03", "Airtel-Vodafone"},
	{"234 03", "Airtel-Vodafone"},
	{"234 03", "Airtel-Vodafone"},
	{"234 04", "FMS Solutions Ltd"},
	{"234 05", "COLT Mobile Telecommunications Limited"},
	{"234 06", "Internet Computer Bureau Limited"},
	{"234 07", "Vodafone"},
	{"234 08", "BT OnePhone (UK) Ltd"},
	{"234 09", "Tismi BV"},
	{"234 10", "O2 (UK)"},
	{"234 11", "O2 (UK)"},
	{"234 12", "Railtrack"},
	{"234 13", "Railtrack"},
	{"234 14", "Hay Systems Ltd"},
	{"234 15", "Vodafone UK"},
	{"234 16", "Talk Talk"},
	{"234 17", "FleXtel Limited"},
	{"234 18", "Cloud 9 Mobile"},
	{"234 18", "Cloud9"},
	{"234 19", "Private Mobile Networks PMN"},
	{"234 20", "3"},
	{"234 21", "LogicStar Ltd"},
	{"234 22", "Telesign Mobile Limited"},
	{"234 23", "Icron Network Limited"},
	{"234 24", "Greenfone"},
	{"234 25", "Truphone"},
	{"234 26", "Lycamobile"},
	{"234 27", "Teleena UK Limited"},
	{"234 28", "Marathon Telecom Limited"},
	{"234 28", "Marathon Telecom Limited"},
	{"234 29", "aql"},
	{"234 30", "T-Mobile UK"},
	{"234 31", "T-Mobile UK"},
	{"234 32", "T-Mobile UK"},
	{"234 33", "Orange"},
	{"234 34", "Orange"},
	{"234 35", "JSC Ingenium (UK) Limited"},
	{"234 36", "Sure Mobile"},
	{"234 36", "Sure Mobile"},
	{"234 37", "Synectiv Ltd"},
	{"234 38", "Virgin Mobile"},
	{"234 39", "Gamma Telecom Holdings Ltd."},
	{"234 50", "JT"},
	{"234 50", "JT"},
	{"234 50", "JT"},
	{"234 51", "Relish"},
	{"234 52", "Shyam Telecom UK Ltd"},
	{"234 53", "Limitless Mobile Ltd"},
	{"234 54", "iD Mobile"},
	{"234 55", "Sure Mobile"},
	{"234 55", "Sure Mobile"},
	{"234 55", "Sure Mobile"},
	{"234 56", "CESG"},
	{"234 57", "Sky UK Limited"},
	{"234 58", "Pronto GSM"},
	{"234 58", "Pronto GSM"},
	{"234 59", "Limitless Mobile Ltd"},
	{"234 70", "AMSUK Ltd."},
	{"234 71", "Home Office"},
	{"234 72", "Hanhaa Limited"},
	{"234 76", "BT"},
	{"234 78", "Airwave"},
	{"234 86", "EE"},
	{"235 00", "Vectone Mobile"},
	{"235 01", "EE"},
	{"235 02", "EE"},
	{"235 03", "Relish"},
	{"235 77", "BT"},
	{"235 91", "Vodafone United Kingdom"},
	{"235 92", "Vodafone United Kingdom"},
	{"235 94", "Hutchison 3G UK Ltd"},
	{"235 95", "Network Rail Infrastructure Limited"},
	{"238 01", "TDC"},
	{"238 02", "Telenor"},
	{"238 03", "Syniverse Technologies"},
	{"238 04", "NextGen Mobile Ltd T/A CardBoardFish"},
	{"238 05", "TetraNet"},
	{"238 06", "3"},
	{"238 07", "Vectone Mobile"},
	{"238 08", "Voxbone"},
	{"238 09", "SINE"},
	{"238 10", "TDC"},
	{"238 11", "SINE"},
	{"238 12", "Lycamobile"},
	{"238 13", "Compatel Limited"},
	{"238 14", "Monty UK Global Limited"},
	{"238 15", "Ice Danmark ApS"},
	{"238 16", "Tismi B.V."},
	{"238 17", "Naka AG"},
	{"238 18", "Cubic Telecom"},
	{"238 20", "Telia"},
	{"238 23", "GSM-R DK"},
	{"238 25", "Viahub"},
	{"238 28", "LINK Mobile A/S"},
	{"238 30", "Interactive digital media GmbH"},
	{"238 40", "Ericsson Danmark A/S"},
	{"238 42", "Tel42 ApS"},
	{"238 43", "MobiWeb Limited"},
	{"238 66", "TT-Netvaerket P/S"},
	{"238 73", "Onomondo ApS"},
	{"238 77", "Telenor"},
	{"240 01", "Telia"},
	{"240 02", "3"},
	{"240 03", "Net 1"},
	{"240 04", "SWEDEN"},
	{"240 05", "Sweden 3G"},
	{"240 06", "Telenor"},
	{"240 07", "Tele2"},
	{"240 08", "Telenor"},
	{"240 09", "Com4"},
	{"240 10", "Spring Mobil"},
	{"240 11", "ComHem AB"},
	{"240 12", "Lycamobile"},
	{"240 13", "Alltele Foretag Sverige AB"},
	{"240 14", "Tele2 Business AB"},
	{"240 15", "Wireless Maingate Nordic AB"},
	{"240 16", "42 Telecom AB"},
	{"240 17", "Gotanet"},
	{"240 18", "Generic Mobile Systems Sweden AB"},
	{"240 19", "Vectone Mobile"},
	{"240 20", "Wireless Maingate Messaging Services AB"},
	{"240 21", "MobiSir"},
	{"240 22", "EuTel AB"},
	{"240 23", "Infobip Limited (UK)"},
	{"240 24", "Sweden 2G"},
	{"240 25", "Monty UK Global Ltd"},
	{"240 26", "Twilio Sweden AB"},
	{"240 27", "GlobeTouch AB"},
	{"240 28", "LINK Mobile A/S"},
	{"240 29", "Mercury International Carrier Services"},
	{"240 30", "NextGen Mobile Ltd."},
	{"240 31", "RebTel Network AB"},
	{"240 32", "Compatel Limited"},
	{"240 33", "Mobile Arts AB"},
	{"240 34", "Pro Net Telecommunications Services Ltd."},
	{"240 35", "42 Telecom LTD"},
	{"240 36", "interactive digital media GmbH"},
	{"240 37", "CLX Networks AB"},
	{"240 38", "Voxbone"},
	{"240 39", "Borderlight AB"},
	{"240 40", "North net connect AB"},
	{"240 41", "Shyam Telecom UK Ltd."},
	{"240 42", "Telenor Connexion AB"},
	{"240 43", "MobiWeb Ltd."},
	{"240 44", "Telenabler AB"},
	{"240 45", "Spirius AB"},
	{"240 46", "Viahub"},
	{"240 47", "Viatel Sweden AB"},
	{"240 60", "Telefonaktiebolaget LM Ericsson"},
	{"240 61", "MessageBird B.V."},
	{"242 01", "Telenor"},
	{"242 02", "Telia"},
	{"242 03", "Televerket AS"},
	{"242 04", "Tele2"},
	{"242 05", "Telia"},
	{"242 06", "ICE"},
	{"242 07", "Phonero"},
	{"242 08", "TDC"},
	{"242 09", "Com4"},
	{"242 10", "Norwegian Communications Authority"},
	{"242 11", "SystemNet"},
	{"242 12", "Telenor"},
	{"242 14", "ICE"},
	{"242 20", "Jernbaneverket AS"},
	{"242 21", "Jernbaneverket AS"},
	{"242 22", "Network Norway AS"},
	{"242 23", "Lycamobile"},
	{"242 24", "Mobile Norway AS"},
	{"242 25", "Forsvarets kompetansesenter KKIS"},
	{"242 99", "TampNet AS"},
	{"244 03", "DNA"},
	{"244 04", "DNA"},
	{"244 05", "Elisa"},
	{"244 06", "Elisa"},
	{"244 07", "Nokia"},
	{"244 08", "Nokia"},
	{"244 09", "Nokia Solutions and Networks Oy"},
	{"244 10", "Viestintavirasto"},
	{"244 11", "Viestintavirasto"},
	{"244 12", "DNA"},
	{"244 13", "DNA"},
	{"244 14", "Alcom"},
	{"244 15", "SAMK"},
	{"244 16", "Tele2"},
	{"244 17", "Liikennevirasto"},
	{"244 21", "Elisa- Saunalahti"},
	{"244 22", "EXFO Oy"},
	{"244 23", "EXFO Oy"},
	{"244 24", "TTY-saatio"},
	{"244 25", "Datame"},
	{"244 26", "Compatel"},
	{"244 27", "Teknologian tutkimuskeskus VTT Oy"},
	{"244 28", "Teknologian tutkimuskeskus VTT Oy"},
	{"244 29", "SCNL Truphone"},
	{"244 30", "Vectone Mobile"},
	{"244 31", "Kuiri"},
	{"244 32", "Voxbone"},
	{"244 33", "VIRVE"},
	{"244 34", "Bittium Wireless"},
	{"244 35", "Ukko Mobile"},
	{"244 36", "Sonera / DNA"},
	{"244 37", "Tismi"},
	{"244 38", "Nokia Solutions and Networks Oy"},
	{"244 39", "Nokia Solutions and Networks Oy"},
	{"244 40", "Nokia Solutions and Networks Oy"},
	{"244 41", "Nokia Solutions and Networks Oy"},
	{"244 42", "SMS Provider Corp."},
	{"244 91", "Sonera"},
	{"244 92", "Sonera"},
	{"246 01", "Telia"},
	{"246 02", "BITE"},
	{"246 03", "Tele2"},
	{"246 04", "LR vidaus reikalu ministerija (Ministry of the Interior)"},
	{"246 05", "LitRail"},
	{"246 06", "Mediafon"},
	{"246 07", "Compatel Ltd."},
	{"246 08", "MEZON"},
	{"246 09", "Interactive Digital Media GmbH"},
	{"247 01", "LMT"},
	{"247 02", "Tele2"},
	{"247 03", "TRIATEL"},
	{"247 04", "Beta Telecom"},
	{"247 05", "Bite"},
	{"247 06", "Rigatta"},
	{"247 07", "MTS"},
	{"247 08", "IZZI"},
	{"247 09", "Xomobile"},
	{"248 01", "Telia"},
	{"248 02", "Elisa"},
	{"248 03", "Tele2"},
	{"248 04", "Top Connect"},
	{"248 05", "AS Bravocom Mobiil"},
	{"248 06", "Progroup Holding"},
	{"248 07", "Kou"},
	{"248 08", "VIVEX"},
	{"248 09", "Bravo Telecom"},
	{"248 10", "Telcotrade OU"},
	{"248 71", "Siseministeerium (Ministry of Interior)"},
	{"250 01", "MTS"},
	{"250 02", "MegaFon"},
	{"250 03", "NCC"},
	{"250 04", "Sibchallenge"},
	{"250 05", "ETK"},
	{"250 06", "Skylink"},
	{"250 07", "SMARTS"},
	{"250 08", "Vainah Telecom"},
	{"250 09", "Skylink"},
	{"250 10", "DTC"},
	{"250 11", "Yota"},
	{"250 12", "Akos"},
	{"250 12", "Baykalwestcom"},
	{"250 13", "KUGSM"},
	{"250 14", "MegaFon"},
	{"250 15", "SMARTS"},
	{"250 16", "NTC"},
	{"250 17", "Utel"},
	{"250 18", "Osnova Telecom"},
	{"250 19", "INDIGO"},
	{"250 20", "Tele2"},
	{"250 21", "GlobalTel"},
	{"250 22", "Vainakh Telecom"},
	{"250 23", "Thuraya"},
	{"250 28", "Beeline"},
	{"250 29", "Iridium"},
	{"250 32", "Win Mobile"},
	{"250 33", "Sevmobile"},
	{"250 34", "Krymtelekom"},
	{"250 35", "MOTIV"},
	{"250 38", "Tambov GSM"},
	{"250 39", "Rostelecom"},
	{"250 44", "Stavtelesot / North Caucasian GSM"},
	{"250 50", "MTS"},
	{"250 54", "TTK"},
	{"250 60", "Volna mobile"},
	{"250 62", "Tinkoff Mobile"},
	{"250 811", "Votek Mobile"},
	{"250 91", "Sonic Duo"},
	{"250 92", "Primtelefon"},
	{"250 93", "Telecom XXI"},
	{"250 99", "Beeline"},
	{"255 01", "Vodafone"},
	{"255 02", "Beeline"},
	{"255 03", "Kyivstar"},
	{"255 04", "IT"},
	{"255 05", "Golden Telecom"},
	{"255 06", "lifecell"},
	{"255 07", "3Mob"},
	{"255 21", "PEOPLEnet"},
	{"255 23", "CDMA Ukraine"},
	{"255 25", "NEWTONE"},
	{"257 01", "velcom"},
	{"257 02", "MTS"},
	{"257 03", "DIALLOG"},
	{"257 04", "life:)"},
	{"257 05", "byfly"},
	{"257 06", "beCloud"},
	{"259 01", "Orange"},
	{"259 02", "Moldcell"},
	{"259 03", "IDC"},
	{"259 03", "Unite"},
	{"259 04", "Eventis"},
	{"259 05", "Unite"},
	{"259 15", "IDC"},
	{"259 99", "Unite"},
	{"260 01", "Plus"},
	{"260 02", "T-Mobile"},
	{"260 03", "Orange"},
	{"260 04", "Aero2"},
	{"260 05", "Orange"},
	{"260 06", "Play"},
	{"260 07", "Netia"},
	{"260 08", "E-Telko Sp. z o.o."},
	{"260 09", "Lycamobile"},
	{"260 10", "Sferia"},
	{"260 11", "Nordisk Polska"},
	{"260 12", "Cyfrowy Polsat"},
	{"260 13", "Sferia"},
	{"260 14", "Sferia"},
	{"260 15", "Aero2"},
	{"260 16", "Aero2"},
	{"260 17", "Aero2"},
	{"260 18", "AMD Telecom"},
	{"260 19", "Teleena"},
	{"260 20", "Mobile.Net"},
	{"260 21", "Exteri"},
	{"260 22", "Arcomm"},
	{"260 23", "Amicomm"},
	{"260 24", "IT Partners Telco Sp. z o.o."},
	{"260 25", "Polskie Sieci Radiowe Sp. z o.o. Sp. k.a."},
	{"260 26", "ATE"},
	{"260 27", "Intertelcom"},
	{"260 28", "PhoneNet"},
	{"260 29", "Interfonica"},
	{"260 30", "GrandTel"},
	{"260 31", "Phone IT"},
	{"260 32", "Compatel Limited"},
	{"260 33", "Truphone"},
	{"260 34", "NetWorkS!"},
	{"260 35", "PKP Polskie Linie Kolejowe S.A."},
	{"260 36", "Vectone Mobile"},
	{"260 37", "NEXTGEN MOBILE LTD"},
	{"260 38", "CALLFREEDOM Sp. z o.o."},
	{"260 39", "Voxbone"},
	{"260 40", "Interactive Digital Media GmbH"},
	{"260 41", "EZ PHONE MOBILE Sp. z o.o."},
	{"260 42", "MobiWeb Telecom Limited"},
	{"260 43", "Smart Idea International Sp. z o.o."},
	{"260 44", "Rebtel Poland Sp. z o.o."},
	{"260 45", "Virgin Mobile Polska Sp. z o.o."},
	{"260 46", "Terra Telekom Sp. z o.o."},
	{"260 47", "SMShighway Limited"},
	{"260 48", "AGILE TELECOM S.P.A."},
	{"260 49", "Messagebird B.V."},
	{"260 98", "Play"},
	{"262 01", "Telekom"},
	{"262 02", "Vodafone"},
	{"262 03", "O2"},
	{"262 04", "Vodafone"},
	{"262 05", "O2"},
	{"262 06", "Telekom"},
	{"262 07", "O2"},
	{"262 08", "O2"},
	{"262 09", "Vodafone"},
	{"262 10", "DB Netz AG"},
	{"262 11", "O2"},
	{"262 12", "Dolphin Telecom"},
	{"262 13", "Mobilcom Multimedia"},
	{"262 14", "Group 3G UMTS"},
	{"262 15", "Airdata"},
	{"262 16", "Telogic Germany GmbH"},
	{"262 17", "O2"},
	{"262 18", "NetCologne"},
	{"262 19", "Inquam Deutschland"},
	{"262 20", "Voiceworks"},
	{"262 21", "Multiconnect GmbH"},
	{"262 22", "sipgate Wireless GmbH"},
	{"262 23", "Drillisch Online AG"},
	{"262 33", "simquadrat"},
	{"262 41", "First Telecom GmbH"},
	{"262 42", "CCC Event"},
	{"262 43", "Lycamobile"},
	{"262 60", "DB Telematik"},
	{"262 72", "Ericsson GmbH"},
	{"262 73", "Xantaro Deutschland GmbH"},
	{"262 74", "Qualcomm CDMA Technologies GmbH"},
	{"262 75", "Core Network Dynamics GmbH"},
	{"262 76", "Siemens AG"},
	{"262 77", "O2"},
	{"262 78", "Telekom"},
	{"262 79", "ng4T GmbH"},
	{"262 901", "Debitel"},
	{"262 92", "Nash Technologies"},
	{"266 01", "GibTel"},
	{"266 06", "CTS Mobile"},
	{"266 09", "Shine"},
	{"268 01", "Vodafone"},
	{"268 02", "MEO"},
	{"268 03", "NOS"},
	{"268 04", "LycaMobile"},
	{"268 05", "Oniway - Inforcomunicacoes, S.A."},
	{"268 06", "MEO"},
	{"268 07", "Vectone Mobile"},
	{"268 11", "Compatel, Limited"},
	{"268 12", "IP Telecom - Servicos de Telecomunicacoes, S.A."},
	{"268 13", "G9Telecom, S.A."},
	{"268 21", "Zapp"},
	{"268 80", "MEO"},
	{"270 01", "POST"},
	{"270 02", "MTX Connect S.a.r.l."},
	{"270 07", "Bouygues Telecom S.A."},
	{"270 10", "Blue Communications"},
	{"270 77", "Tango"},
	{"270 78", "Interactive digital media GmbH"},
	{"270 79", "Mitto A.G."},
	{"270 80", "Syniverse Technologies S.a r.l."},
	{"270 81", "E-Lux Mobile Telecommunication S.A."},
	{"270 99", "Orange"},
	{"272 01", "Vodafone"},
	{"272 02", "3"},
	{"272 03", "Eir"},
	{"272 04", "Access Telecom"},
	{"272 05", "3"},
	{"272 07", "Eir"},
	{"272 08", "Eir"},
	{"272 09", "Clever Communications Ltd."},
	{"272 11", "Tesco Mobile"},
	{"272 13", "Lycamobile"},
	{"272 15", "Virgin Mobile"},
	{"272 16", "Carphone Warehouse"},
	{"272 17", "3"},
	{"274 01", "Siminn"},
	{"274 02", "Vodafone"},
	{"274 03", "Vodafone"},
	{"274 04", "Viking"},
	{"274 05", "Hallo Frjals fjarskipti hf."},
	{"274 06", "Null niu ehf"},
	{"274 07", "IceCell"},
	{"274 08", "On-waves"},
	{"274 11", "Nova"},
	{"274 12", "Tal"},
	{"274 16", "Tismi BV"},
	{"274 22", "Landhelgisgaeslan (Icelandic Coast Guard)"},
	{"274 31", "Siminn"},
	{"276 01", "Telekom.al"},
	{"276 02", "Vodafone"},
	{"276 03", "Eagle Mobile"},
	{"276 04", "Plus Communication"},
	{"278 01", "Vodafone"},
	{"278 11", "YOM Ltd."},
	{"278 21", "GO"},
	{"278 30", "GO"},
	{"278 77", "Melita"},
	{"280 01", "Cytamobile-Vodafone"},
	{"280 10", "MTN"},
	{"280 20", "PrimeTel"},
	{"280 22", "lemontel"},
	{"280 23", "Vectone Mobile"},
	{"282 01", "Geocell"},
	{"282 02", "MagtiCom"},
	{"282 03", "MagtiCom"},
	{"282 04", "Beeline"},
	{"282 05", "Silknet"},
	{"282 06", "JSC Compatel"},
	{"282 07", "GlobalCell"},
	{"282 08", "Silk LTE"},
	{"282 09", "Gmobile Ltd"},
	{"283 01", "Beeline"},
	{"283 04", "Karabakh Telecom"},
	{"283 05", "VivaCell-MTS"},
	{"283 10", "Ucom"},
	{"284 01", "M-Tel"},
	{"284 03", "Vivacom"},
	{"284 05", "Telenor"},
	{"284 07", "NKZhI"},
	{"284 09", "COMPATEL LIMITED"},
	{"284 11", "Bulsatcom"},
	{"284 13", "MAX"},
	{"286 01", "Turkcell"},
	{"286 02", "Vodafone"},
	{"286 03", "Turk Telekom"},
	{"286 04", "Aycell"},
	{"288 01", "Faroese Telecom"},
	{"288 02", "Vodafone"},
	{"288 03", "Edge Mobile Sp/F"},
	{"289 67", "Aquafon"},
	{"289 88", "A-Mobile"},
	{"290 01", "TELE Greenland A/S"},
	{"290 02", "Nuuk TV"},
	{"292 01", "PRIMA"},
	{"293 10", "SZ - Infrastruktura, d.o.o."},
	{"293 20", "COMPATEL Ltd"},
	{"293 40", "A1"},
	{"293 41", "D3 Mobile"},
	{"293 41", "IPKO"},
	{"293 41", "Mobitel"},
	{"293 64", "T-2"},
	{"293 70", "Telemach"},
	{"294 01", "Telekom.mk"},
	{"294 02", "vip"},
	{"294 03", "vip"},
	{"294 04", "Lycamobile"},
	{"294 10", "WTI Macedonia"},
	{"294 11", "MOBIK TELEKOMUNIKACII DOOEL Skopje"},
	{"295 01", "Swisscom"},
	{"295 02", "7acht"},
	{"295 05", "FL1"},
	{"295 06", "Cubic Telecom"},
	{"295 07", "First Mobile AG"},
	{"295 09", "EMnify GmbH"},
	{"295 10", "Soracom LI Ltd."},
	{"295 77", "Alpmobil"},
	{"297 01", "Telenor"},
	{"297 02", "T-Mobile"},
	{"297 03", "m:tel CG"},
	{"302 130", "Xplornet"},
	{"302 131", "Xplornet"},
	{"302 220", "Telus Mobility, Koodo Mobile, Public Mobile"},
	{"302 221", "Telus"},
	{"302 222", "Telus"},
	{"302 250", "ALO"},
	{"302 270", "EastLink"},
	{"302 290", "Airtel Wireless"},
	{"302 300", "ECOTEL Inc."},
	{"302 320", "Rogers Wireless"},
	{"302 340", "Execulink"},
	{"302 350", "FIRST"},
	{"302 360", "MiKe"},
	{"302 361", "Telus"},
	{"302 370", "Fido"},
	{"302 380", "Keewaytinook Mobile"},
	{"302 390", "DMTS"},
	{"302 480", "SSi Connexions"},
	{"302 490", "Freedom Mobile"},
	{"302 500", "Videotron"},
	{"302 510", "Videotron"},
	{"302 520", "Videotron"},
	{"302 530", "Keewaytinook Mobile"},
	{"302 540", "Rovvr Communications Inc."},
	{"302 560", "Lynx Mobility"},
	{"302 570", "LightSquared"},
	{"302 590", "Quadro Mobility"},
	{"302 610", "Bell Mobility, Virgin Mobile Canada"},
	{"302 620", "ICE Wireless"},
	{"302 630", "Aliant Mobility"},
	{"302 640", "Bell"},
	{"302 650", "TBaytel"},
	{"302 652", "BC Tel Mobility (Telus)"},
	{"302 653", "Telus"},
	{"302 655", "MTS"},
	{"302 656", "TBay"},
	{"302 657", "Telus"},
	{"302 660", "MTS"},
	{"302 670", "CityTel Mobility"},
	{"302 680", "SaskTel"},
	{"302 690", "Bell"},
	{"302 701", "MB Tel Mobility"},
	{"302 702", "MT&T Mobility (Aliant)"},
	{"302 703", "New Tel Mobility (Aliant)"},
	{"302 710", "Globalstar"},
	{"302 720", "Rogers Wireless"},
	{"302 730", "TerreStar Solutions"},
	{"302 740", "Shaw Telecom"},
	{"302 750", "SaskTel"},
	{"302 760", "Public Mobile"},
	{"302 770", "TNW Wireless"},
	{"302 780", "SaskTel"},
	{"302 790", "NetSet Communications"},
	{"302 820", "Rogers Wireless"},
	{"302 860", "Telus"},
	{"302 880", "Bell / Telus / SaskTel"},
	{"302 920", "Rogers Wireless"},
	{"302 940", "Wightman Mobility"},
	{"302 990", ""},
	{"308 01", "Ameris"},
	{"308 02", "GLOBALTEL"},
	{"310 004", "Verizon"},
	{"310 005", "Verizon"},
	{"310 006", "Verizon"},
	{"310 010", "Verizon"},
	{"310 012", "Verizon"},
	{"310 013", "Verizon"},
	{"310 014", ""},
	{"310 015", "Southern LINC"},
	{"310 016", "AT&T"},
	{"310 017", "ProxTel"},
	{"310 020", "Union Wireless"},
	{"310 030", "AT&T"},
	{"310 032", "IT&E Wireless"},
	{"310 032", "IT&E Wireless"},
	{"310 033", "Guam Telephone Authority"},
	{"310 033", "Guam Telephone Authority"},
	{"310 034", "Airpeak"},
	{"310 035", "ETEX Wireless"},
	{"310 040", "MTA"},
	{"310 050", "GCI"},
	{"310 053", "Virgin Mobile"},
	{"310 054", "Alltel US"},
	{"310 060", "Consolidated Telcom"},
	{"310 066", "U.S. Cellular"},
	{"310 070", "AT&T"},
	{"310 080", "AT&T"},
	{"310 090", "AT&T"},
	{"310 100", "Plateau Wireless"},
	{"310 110", "IT&E Wireless"},
	{"310 110", "IT&E Wireless"},
	{"310 120", "Sprint"},
	{"310 130", "Carolina West Wireless"},
	{"310 140", "GTA Wireless"},
	{"310 140", "GTA Wireless"},
	{"310 150", "AT&T"},
	{"310 160", "T-Mobile"},
	{"310 170", "AT&T"},
	{"310 180", "West Central"},
	{"310 190", "GCI"},
	{"310 200", "T-Mobile"},
	{"310 210", "T-Mobile"},
	{"310 220", "T-Mobile"},
	{"310 230", "T-Mobile"},
	{"310 240", "T-Mobile"},
	{"310 250", "T-Mobile"},
	{"310 260", "T-Mobile"},
	{"310 270", "T-Mobile"},
	{"310 280", "AT&T"},
	{"310 290", "nep"},
	{"310 300", "Big Sky Mobile"},
	{"310 310", "T-Mobile"},
	{"310 311", "Farmers Wireless"},
	{"310 320", "Cellular One"},
	{"310 330", "Alltel"},
	{"310 340", "Westlink Communications"},
	{"310 350", "Verizon"},
	{"310 360", "Pioneer Cellular"},
	{"310 370", "Docomo"},
	{"310 370", "Docomo"},
	{"310 370", "Docomo"},
	{"310 380", "AT&T"},
	{"310 390", "Cellular One of East Texas"},
	{"310 400", "iConnect"},
	{"310 400", "iConnect"},
	{"310 410", "AT&T"},
	{"310 420", "Cincinnati Bell"},
	{"310 430", "GCI"},
	{"310 440", "Numerex"},
	{"310 450", "Viaero"},
	{"310 460", "NewCore"},
	{"310 470", "Shentel"},
	{"310 480", "Instant Connect"},
	{"310 480", "iConnect"},
	{"310 490", "T-Mobile"},
	{"310 500", "Alltel"},
	{"310 510", "Cellcom"},
	{"310 520", "TNS"},
	{"310 530", "iWireless"},
	{"310 540", "Phoenix"},
	{"310 550", "Syniverse Technologies"},
	{"310 560", "AT&T"},
	{"310 570", "Cellular One"},
	{"310 580", "Inland Cellular Telephone Company"},
	{"310 59", "Cellular One"},
	{"310 590", "Verizon Wireless"},
	{"310 600", "Cellcom"},
	{"310 610", "Epic PCS"},
	{"310 620", "Cellcom"},
	{"310 630", "miSpot"},
	{"310 640", "Numerex"},
	{"310 650", "Jasper"},
	{"310 660", "T-Mobile"},
	{"310 670", "AT&T"},
	{"310 680", "AT&T"},
	{"310 690", "Limitless Mobile"},
	{"310 700", "Bigfoot Cellular"},
	{"310 710", "ASTAC"},
	{"310 720", "Syniverse Technologies"},
	{"310 730", "U.S. Cellular"},
	{"310 740", "Viaero"},
	{"310 750", "Appalachian Wireless"},
	{"310 760", "Lynch 3G Communications Corporation"},
	{"310 770", "iWireless"},
	{"310 780", "Dispatch Direct"},
	{"310 790", "BLAZE"},
	{"310 800", "T-Mobile"},
	{"310 810", "LCFR LLC"},
	{"310 820", "Verizon Wireless"},
	{"310 830", "Sprint"},
	{"310 840", "telna Mobile"},
	{"310 850", "Aeris"},
	{"310 860", "Five Star Wireless"},
	{"310 870", "PACE"},
	{"310 880", "DTC Wireless"},
	{"310 890", "Verizon Wireless"},
	{"310 900", "Mid-Rivers Wireless"},
	{"310 910", "Verizon Wireless"},
	{"310 920", "James Valley Wireless, LLC"},
	{"310 930", "Copper Valley Wireless"},
	{"310 940", "Iris Wireless LLC"},
	{"310 950", "AT&T"},
	{"310 960", "STRATA"},
	{"310 970", "Globalstar"},
	{"310 980", "Peoples Telephone"},
	{"310 990", "Evolve Broadband"},
	{"311 000", "West Central Wireless"},
	{"311 010", "Chariton Valley"},
	{"311 012", "Verizon"},
	{"311 020", "Chariton Valley"},
	{"311 030", "Indigo Wireless"},
	{"311 040", "Choice Wireless"},
	{"311 050", "Thumb Cellular LP"},
	{"311 060", "Space Data Corporation"},
	{"311 070", "AT&T"},
	{"311 080", "Pine Cellular"},
	{"311 090", "AT&T"},
	{"311 100", "Nex-Tech Wireless"},
	{"311 110", "Verizon"},
	{"311 120", "iConnect"},
	{"311 120", "iConnect"},
	{"311 130", "Lightsquared L.P."},
	{"311 140", "Bravado Wireless"},
	{"311 150", "Wilkes Cellular"},
	{"311 160", "Lightsquared L.P."},
	{"311 170", "Broadpoint Inc."},
	{"311 180", "AT&T"},
	{"311 190", "AT&T"},
	{"311 200", "ARINC"},
	{"311 210", "Emery Telcom Wireless"},
	{"311 220", "U.S. Cellular"},
	{"311 230", "C Spire Wireless"},
	{"311 240", "Cordova Wireless"},
	{"311 250", "iConnect"},
	{"311 250", "iConnect"},
	{"311 260", "Sprint"},
	{"311 270", "Verizon"},
	{"311 271", "Verizon"},
	{"311 272", "Verizon"},
	{"311 273", "Verizon"},
	{"311 274", "Verizon"},
	{"311 275", "Verizon"},
	{"311 276", "Verizon"},
	{"311 277", "Verizon"},
	{"311 278", "Verizon"},
	{"311 279", "Verizon"},
	{"311 280", "Verizon"},
	{"311 281", "Verizon"},
	{"311 282", "Verizon"},
	{"311 283", "Verizon"},
	{"311 284", "Verizon"},
	{"311 285", "Verizon"},
	{"311 286", "Verizon"},
	{"311 287", "Verizon"},
	{"311 288", "Verizon"},
	{"311 289", "Verizon"},
	{"311 290", "BLAZE"},
	{"311 300", "Nexus Communications, Inc."},
	{"311 310", "NMobile"},
	{"311 320", "Choice Wireless"},
	{"311 330", "Bug Tussel Wireless"},
	{"311 340", "Illinois Valley Cellular "},
	{"311 350", "Nemont"},
	{"311 360", "Stelera Wireless"},
	{"311 370", "GCI Wireless"},
	{"311 380", "New Dimension Wireless Ltd."},
	{"311 390", "Verizon"},
	{"311 400", ""},
	{"311 410", "Chat Mobility"},
	{"311 420", "NorthwestCell"},
	{"311 430", "Chat Mobility"},
	{"311 440", "Bluegrass Cellular LLC"},
	{"311 450", "PTCI"},
	{"311 460", "Fisher Wireless Services Inc."},
	{"311 470", "Viya"},
	{"311 480", "Verizon"},
	{"311 481", "Verizon"},
	{"311 482", "Verizon"},
	{"311 483", "Verizon"},
	{"311 484", "Verizon"},
	{"311 485", "Verizon"},
	{"311 486", "Verizon"},
	{"311 487", "Verizon"},
	{"311 488", "Verizon"},
	{"311 489", "Verizon"},
	{"311 490", "Sprint Corporation"},
	{"311 500", "Mosaic Telecom"},
	{"311 510", "Lightsquared L.P."},
	{"311 520", "Lightsquared L.P."},
	{"311 530", "NewCore"},
	{"311 540", "Proximiti Mobility Inc."},
	{"311 550", "Choice Wireless"},
	{"311 560", "OTZ Cellular"},
	{"311 570", "BendBroadband"},
	{"311 580", "U.S. Cellular"},
	{"311 590", "Verizon"},
	{"311 600", "Cox Wireless"},
	{"311 610", "SRT Communications"},
	{"311 620", "TerreStar Networks, Inc."},
	{"311 630", "C Spire Wireless"},
	{"311 640", "Rock Wireless"},
	{"311 650", "United Wireless"},
	{"311 660", "metroPCS"},
	{"311 670", "Pine Belt Wireless"},
	{"311 680", "GreenFly LLC"},
	{"311 690", "TeleBEEPER of New Mexico"},
	{"311 700", "Aspenta International, Inc."},
	{"311 710", "Northeast Wireless Networks LLC"},
	{"311 720", "MainePCS LLC"},
	{"311 730", "Proximiti Mobility Inc."},
	{"311 740", "Telalaska Cellular"},
	{"311 750", "ClearTalk"},
	{"311 760", "Edigen Inc."},
	{"311 770", "Altiostar Networks, Inc."},
	{"311 780", "Pioneer Cellular"},
	{"311 790", "Coleman County Telephone Cooperative, Inc."},
	{"311 800", "Bluegrass Cellular LLC"},
	{"311 810", "Bluegrass Cellular LLC"},
	{"311 820", "Sonus Networks"},
	{"311 830", "Thumb Cellular LP"},
	{"311 840", "Cellcom"},
	{"311 850", "Cellcom"},
	{"311 860", "STRATA"},
	{"311 870", "Boost Mobile"},
	{"311 880", "Sprint"},
	{"311 890", "Globecomm Network Services Corporation "},
	{"311 900", "GigSky"},
	{"311 910", "MobileNation"},
	{"311 920", "Chariton Valley"},
	{"311 930", "Syringa Wireless"},
	{"311 940", "Sprint"},
	{"311 950", "ETC"},
	{"311 960", "Lycamobile"},
	{"311 970", "Big River Broadband"},
	{"311 980", "LigTel Communications"},
	{"311 990", "VTel Wireless"},
	{"312 010", "Chariton Valley"},
	{"312 020", "Infrastructure Networks, LLC"},
	{"312 030", "Bravado Wireless"},
	{"312 040", "Custer Telephone Co-op (CTCI)"},
	{"312 050", "Fuego Wireless"},
	{"312 060", "CoverageCo"},
	{"312 070", "Adams Networks Inc"},
	{"312 080", "SyncSouth"},
	{"312 090", "AT&T"},
	{"312 100", "ClearSky Technologies, Inc."},
	{"312 110", "Texas Energy Network LLC"},
	{"312 120", "Appalachian Wireless"},
	{"312 130", "Appalachian Wireless"},
	{"312 140", "Revol Wireless"},
	{"312 150", "NorthwestCell"},
	{"312 160", "Chat Mobility"},
	{"312 170", "Chat Mobility"},
	{"312 180", "Limiteless Mobile LLC"},
	{"312 190", "Sprint"},
	{"312 200", "Voyager Mobility LLC"},
	{"312 210", "Aspenta International, Inc."},
	{"312 220", "Chariton Valley"},
	{"312 230", "SRT Communications"},
	{"312 240", "Sprint"},
	{"312 250", "Sprint"},
	{"312 260", "NewCore"},
	{"312 270", "Pioneer Cellular"},
	{"312 280", "Pioneer Cellular"},
	{"312 290", "STRATA"},
	{"312 300", "telna Mobile"},
	{"312 310", "Clear Stream Communications, LLC"},
	{"312 320", "S and R Communications LLC"},
	{"312 330", "Nemont"},
	{"312 340", "MTA"},
	{"312 350", "Triangle Communication System Inc."},
	{"312 360", "Wes-Tex Telecommunications, Ltd."},
	{"312 370", "Choice Wireless"},
	{"312 380", "Copper Valley Wireless"},
	{"312 390", "FTC Wireless"},
	{"312 400", "Mid-Rivers Wireless"},
	{"312 410", "Eltopia Communications, LLC"},
	{"312 420", "Nex-Tech Wireless"},
	{"312 430", "Silver Star Communications"},
	{"312 440", "Consolidated Telcom"},
	{"312 450", "Cable & Communications Corporation"},
	{"312 460", "Ketchikan Public Utilities (KPU)"},
	{"312 470", "Carolina West Wireless"},
	{"312 480", "Nemont"},
	{"312 490", "TrustComm, Inc."},
	{"312 500", "AB Spectrum LLC"},
	{"312 510", "WUE Inc."},
	{"312 520", "ANIN"},
	{"312 530", "Sprint"},
	{"312 540", "Broadband In Hand LLC"},
	{"312 550", "Great Plains Communications, Inc."},
	{"312 560", "NHLT Inc."},
	{"312 570", "Blue Wireless"},
	{"312 580", "Morgan, Lewis & Bockius LLP"},
	{"312 590", "NMU"},
	{"312 600", "Nemont"},
	{"312 610", "nTelos"},
	{"312 620", "GlobeTouch Inc."},
	{"312 630", "NetGenuity, Inc."},
	{"312 640", "Nemont"},
	{"312 650", "365 Wireless LLC"},
	{"312 660", "nTelos"},
	{"312 670", "AT&T"},
	{"312 680", "AT&T"},
	{"312 690", "TGS, LLC"},
	{"312 700", "Wireless Partners, LLC"},
	{"312 710", "Great North Woods Wireless LLC"},
	{"312 720", "Southern LINC"},
	{"312 730", "Triangle Communication System Inc."},
	{"312 740", "Locus Telecommunications"},
	{"312 750", "Artemis Networks LLC"},
	{"312 760", "ASTAC"},
	{"312 770", "Verizon"},
	{"312 780", "Redzone Wireless"},
	{"312 790", "Gila Electronics"},
	{"312 800", "Cirrus Core Networks"},
	{"312 810", "BBCP"},
	{"312 820", "Santel Communications Cooperative, Inc."},
	{"312 830", "Kings County Office of Education"},
	{"312 840", "South Georgia Regional Information Technology Authority"},
	{"312 850", "Onvoy Spectrum, LLC"},
	{"312 860", "ClearTalk"},
	{"312 870", "GigSky Mobile, LLC"},
	{"312 880", "Albemarle County Public Schools"},
	{"312 890", "Circle Gx"},
	{"312 900", "ClearTalk"},
	{"312 910", "Appalachian Wireless"},
	{"312 920", "Northeast Wireless Networks LLC"},
	{"312 930", "Hewlett-Packard Communication Services, LLC"},
	{"312 940", "Webformix"},
	{"312 950", "Custer Telephone Co-op (CTCI)"},
	{"312 960", "M&A Technology, Inc."},
	{"312 970", "IOSAZ Intellectual Property LLC"},
	{"312 980", "Mark Twain Communications Company"},
	{"312 990", "Premier Broadband"},
	{"313 000", "Tennessee Wireless "},
	{"313 010", "Bravado Wireless"},
	{"313 020", "CTC Wireless"},
	{"313 030", "Snake River PCS"},
	{"313 040", "NNTC Wireless"},
	{"313 050", "Breakaway Wireless"},
	{"313 060", "Country Wireless"},
	{"313 070", "Midwest Network Solutions Hub LLC"},
	{"313 080", "Speedwavz LLP"},
	{"313 090", "Vivint Wireless, Inc."},
	{"313 100", "FirstNet"},
	{"313 200", "Mercury Network Corporation"},
	{"313 210", "AT&T"},
	{"316 010", "Nextel"},
	{"316 011", "Southern LINC"},
	{"330 000", "Open Mobile"},
	{"330 110", "Claro Puerto Rico"},
	{"330 120", "Open Mobile"},
	{"334 001", "Comunicaciones Digitales Del Norte, S.A. de C.V."},
	{"334 010", "AT&T"},
	{"334 020", "Telcel"},
	{"334 030", "movistar"},
	{"334 040", "Unefon"},
	{"334 050", "AT&T"},
	{"334 060", "Servicios de Acceso Inalambrico, S.A. de C.V."},
	{"334 066", "Telefonos de Mexico, S.A.B. de C.V."},
	{"334 070", "Unefon"},
	{"334 080", "Unefon"},
	{"334 090", "AT&T"},
	{"338 020", "FLOW"},
	{"338 040", "Caricel"},
	{"338 050", "Digicel"},
	{"338 050", "Digicel"},
	{"338 050", "Digicel"},
	{"338 050", "Digicel Bermuda"},
	{"338 070", "Claro"},
	{"338 110", "FLOW"},
	{"338 180", "FLOW"},
	{"340 01", "Orange"},
	{"340 02", "SFR Caraibe"},
	{"340 03", "Chippie"},
	{"340 08", "Dauphin"},
	{"340 10", "Guadeloupe Telephone Mobile"},
	{"340 11", "Guyane Telephone Mobile"},
	{"340 12", "Martinique Telephone Mobile"},
	{"340 20", "Digicel"},
	{"342 600", "FLOW"},
	{"342 750", "Digicel"},
	{"342 800", "ozone"},
	{"342 820", "Sunbeach Communications"},
	{"344 030", "APUA"},
	{"344 050", "Digicel"},
	{"344 920", "FLOW"},
	{"344 930", "AT&T Wireless"},
	{"346 050", "Digicel"},
	{"346 140", "FLOW"},
	{"348 170", "FLOW"},
	{"348 370", "BVI Cable TV Ltd"},
	{"348 570", "CCT Boatphone"},
	{"348 770", "Digicel"},
	{"350 00", "CellOne"},
	{"350 01", "Digicel Bermuda"},
	{"350 02", "Mobility"},
	{"350 05", "Telecom Networks"},
	{"350 11", "Deltronics"},
	{"352 030", "Digicel"},
	{"352 110", "FLOW"},
	{"354 860", "FLOW"},
	{"356 050", "Digicel"},
	{"356 070", "Chippie"},
	{"356 110", "FLOW"},
	{"358 050", "Digicel"},
	{"358 110", "FLOW"},
	{"360 050", "Digicel"},
	{"360 100", "Cingular Wireless"},
	{"360 110", "FLOW"},
	{"362 31", "Eutel N.V."},
	{"362 33", "WICC N.V."},
	{"362 51", "Telcell"},
	{"362 54", "ECC"},
	{"362 59", "Chippie"},
	{"362 60", "Chippie"},
	{"362 63", "CSC N.V."},
	{"362 68", "Digicel"},
	{"362 69", "Digicel"},
	{"362 74", "PCS N.V."},
	{"362 76", "Digicel"},
	{"362 78", "Telbo"},
	{"362 91", "Chippie"},
	{"362 94", "Bayos"},
	{"362 95", "MIO"},
	{"363 01", "SETAR"},
	{"363 02", "Digicel"},
	{"364 39", "BTC"},
	{"364 49", "Aliv"},
	{"365 010", "Weblinks Limited"},
	{"365 840", "FLOW"},
	{"366 020", "Digicel"},
	{"366 110", "FLOW"},
	{"368 01", "CUBACEL"},
	{"370 01", "Altice"},
	{"370 02", "Claro"},
	{"370 03", "Altice"},
	{"370 04", "Viva"},
	{"370 05", "Wind"},
	{"372 01", "Voila"},
	{"372 02", "Digicel"},
	{"372 03", "Natcom"},
	{"374 12", "bmobile"},
	{"374 130", "Digicel"},
	{"374 140", "LaqTel Ltd."},
	{"376 350", "FLOW"},
	{"376 352", "FLOW"},
	{"376 360", "FLOW"},
	{"400 01", "Azercell"},
	{"400 02", "Bakcell"},
	{"400 03", "FONEX"},
	{"400 04", "Nar Mobile"},
	{"400 05", "Special State Protection Service of the Republic of Azerbaijan"},
	{"400 06", "Naxtel"},
	{"401 01", "Beeline"},
	{"401 02", "Kcell"},
	{"401 07", "Altel"},
	{"401 08", "Kazakhtelecom"},
	{"401 77", "Tele2.kz"},
	{"402 11", "B-Mobile"},
	{"402 77", "TashiCell"},
	{"404 01", "Vodafone India"},
	{"404 02", "AirTel"},
	{"404 03", "AirTel"},
	{"404 04", "IDEA"},
	{"404 05", "Vodafone India"},
	{"404 07", "IDEA"},
	{"404 09", "Reliance"},
	{"404 10", "AirTel"},
	{"404 11", "Vodafone India"},
	{"404 12", "IDEA"},
	{"404 13", "Vodafone India"},
	{"404 14", "IDEA"},
	{"404 15", "Vodafone India"},
	{"404 16", "Airtel"},
	{"404 17", "AIRCEL"},
	{"404 18", "Reliance"},
	{"404 19", "IDEA"},
	{"404 20", "Vodafone India"},
	{"404 21", "Loop Mobile"},
	{"404 22", "IDEA"},
	{"404 24", "IDEA"},
	{"404 25", "AIRCEL"},
	{"404 27", "Vodafone India"},
	{"404 28", "AIRCEL"},
	{"404 29", "AIRCEL"},
	{"404 30", "Vodafone India"},
	{"404 31", "AirTel"},
	{"404 34", "cellone"},
	{"404 36", "Reliance"},
	{"404 37", "Aircel"},
	{"404 38", "cellone"},
	{"404 40", "AirTel"},
	{"404 41", "Aircel"},
	{"404 42", "Aircel"},
	{"404 43", "Vodafone India"},
	{"404 44", "IDEA"},
	{"404 45", "Airtel"},
	{"404 46", "Vodafone India"},
	{"404 48", "Dishnet Wireless"},
	{"404 49", "Airtel"},
	{"404 50", "Reliance"},
	{"404 51", "cellone"},
	{"404 52", "Reliance"},
	{"404 53", "cellone"},
	{"404 54", "cellone"},
	{"404 55", "cellone"},
	{"404 56", "IDEA"},
	{"404 57", "cellone"},
	{"404 58", "cellone"},
	{"404 59", "cellone"},
	{"404 60", "Vodafone India"},
	{"404 62", "cellone"},
	{"404 64", "cellone"},
	{"404 66", "cellone"},
	{"404 67", "Reliance"},
	{"404 68", "DOLPHIN"},
	{"404 69", "DOLPHIN"},
	{"404 70", "AirTel"},
	{"404 71", "cellone"},
	{"404 72", "cellone"},
	{"404 73", "cellone"},
	{"404 74", "cellone"},
	{"404 75", "cellone"},
	{"404 76", "cellone"},
	{"404 77", "cellone"},
	{"404 78", "IDEA"},
	{"404 79", "cellone"},
	{"404 80", "cellone"},
	{"404 81", "cellone"},
	{"404 82", "IDEA"},
	{"404 83", "Reliance"},
	{"404 84", "Vodafone India"},
	{"404 85", "Reliance"},
	{"404 86", "Vodafone India"},
	{"404 87", "IDEA"},
	{"404 88", "Vodafone India"},
	{"404 89", "IDEA"},
	{"404 90", "AirTel"},
	{"404 91", "AIRCEL"},
	{"404 92", "AirTel"},
	{"404 93", "AirTel"},
	{"404 94", "AirTel"},
	{"404 95", "AirTel"},
	{"404 96", "AirTel"},
	{"404 97", "AirTel"},
	{"404 98", "AirTel"},
	{"405 01", "Reliance"},
	{"405 025", "TATA DOCOMO"},
	{"405 026", "TATA DOCOMO"},
	{"405 027", "TATA DOCOMO"},
	{"405 028", "TATA DOCOMO"},
	{"405 029", "TATA DOCOMO"},
	{"405 03", "Reliance"},
	{"405 030", "TATA DOCOMO"},
	{"405 031", "TATA DOCOMO"},
	{"405 032", "TATA DOCOMO"},
	{"405 033", "TATA DOCOMO"},
	{"405 034", "TATA DOCOMO"},
	{"405 035", "TATA DOCOMO"},
	{"405 036", "TATA DOCOMO"},
	{"405 037", "TATA DOCOMO"},
	{"405 038", "TATA DOCOMO"},
	{"405 039", "TATA DOCOMO"},
	{"405 04", "Reliance"},
	{"405 041", "TATA DOCOMO"},
	{"405 042", "TATA DOCOMO"},
	{"405 043", "TATA DOCOMO"},
	{"405 044", "TATA DOCOMO"},
	{"405 045", "TATA DOCOMO"},
	{"405 046", "TATA DOCOMO"},
	{"405 047", "TATA DOCOMO"},
	{"405 05", "Reliance"},
	{"405 06", "Reliance"},
	{"405 07", "Reliance"},
	{"405 08", "Reliance"},
	{"405 09", "Reliance"},
	{"405 10", "Reliance"},
	{"405 11", "Reliance"},
	{"405 12", "Reliance"},
	{"405 13", "Reliance"},
	{"405 14", "Reliance"},
	{"405 15", "Reliance"},
	{"405 17", "Reliance"},
	{"405 18", "Reliance"},
	{"405 19", "Reliance"},
	{"405 20", "Reliance"},
	{"405 21", "Reliance"},
	{"405 22", "Reliance"},
	{"405 23", "Reliance"},
	{"405 51", "AirTel"},
	{"405 52", "AirTel"},
	{"405 53", "AirTel"},
	{"405 54", "AirTel"},
	{"405 55", "Airtel"},
	{"405 56", "AirTel"},
	{"405 66", "Vodafone India"},
	{"405 67", "Vodafone India"},
	{"405 70", "IDEA"},
	{"405 750", "Vodafone India"},
	{"405 751", "Vodafone India"},
	{"405 752", "Vodafone India"},
	{"405 753", "Vodafone India"},
	{"405 754", "Vodafone India"},
	{"405 755", "Vodafone India"},
	{"405 756", "Vodafone India"},
	{"405 799", "IDEA"},
	{"405 800", "AIRCEL"},
	{"405 801", "AIRCEL"},
	{"405 802", "AIRCEL"},
	{"405 803", "AIRCEL"},
	{"405 804", "AIRCEL"},
	{"405 805", "AIRCEL"},
	{"405 806", "AIRCEL"},
	{"405 807", "AIRCEL"},
	{"405 808", "AIRCEL"},
	{"405 809", "AIRCEL"},
	{"405 810", "AIRCEL"},
	{"405 811", "AIRCEL"},
	{"405 812", "AIRCEL"},
	{"405 818", "Uninor"},
	{"405 819", "Uninor"},
	{"405 820", "Uninor"},
	{"405 821", "Uninor"},
	{"405 822", "Uninor"},
	{"405 824", "Videocon Datacom"},
	{"405 827", "Videocon Datacom"},
	{"405 834", "Videocon Datacom"},
	{"405 840", "Jio"},
	{"405 844", "Uninor"},
	{"405 845", "IDEA"},
	{"405 846", "IDEA"},
	{"405 847", "IDEA"},
	{"405 848", "IDEA"},
	{"405 849", "IDEA"},
	{"405 850", "IDEA"},
	{"405 851", "IDEA"},
	{"405 852", "IDEA"},
	{"405 853", "IDEA"},
	{"405 854", "Jio"},
	{"405 855", "Jio"},
	{"405 856", "Jio"},
	{"405 857", "Jio"},
	{"405 858", "Jio"},
	{"405 859", "Jio"},
	{"405 860", "Jio"},
	{"405 861", "Jio"},
	{"405 862", "Jio"},
	{"405 863", "Jio"},
	{"405 864", "Jio"},
	{"405 865", "Jio"},
	{"405 866", "Jio"},
	{"405 867", "Jio"},
	{"405 868", "Jio"},
	{"405 869", "Jio"},
	{"405 870", "Jio"},
	{"405 871", "Jio"},
	{"405 872", "Jio"},
	{"405 873", "Jio"},
	{"405 874", "Jio"},
	{"405 875", "Uninor"},
	{"405 880", "Uninor"},
	{"405 881", "S Tel"},
	{"405 908", "IDEA"},
	{"405 909", "IDEA"},
	{"405 910", "IDEA"},
	{"405 911", "IDEA"},
	{"405 912", "Etisalat DB(cheers)"},
	{"405 913", "Etisalat DB(cheers)"},
	{"405 914", "Etisalat DB(cheers)"},
	{"405 917", "Etisalat DB(cheers)"},
	{"405 927", "Uninor"},
	{"405 929", "Uninor"},
	{"410 01", "Jazz"},
	{"410 02", "PTCL"},
	{"410 03", "Ufone"},
	{"410 04", "Zong"},
	{"410 05", "SCO Mobile"},
	{"410 06", "Telenor"},
	{"410 07", "Jazz"},
	{"410 08", "SCO Mobile"},
	{"412 01", "AWCC"},
	{"412 20", "Roshan"},
	{"412 40", "MTN"},
	{"412 50", "Etisalat"},
	{"412 55", "WASEL"},
	{"412 80", "Salaam"},
	{"412 88", "Salaam"},
	{"413 01", "Mobitel"},
	{"413 02", "Dialog"},
	{"413 03", "Etisalat"},
	{"413 04", "Lanka Bell"},
	{"413 05", "Airtel"},
	{"413 08", "Hutch"},
	{"413 11", "Dialog"},
	{"413 12", "SLT"},
	{"413 13", "Lanka Bell"},
	{"414 00", "MPT"},
	{"414 01", "MPT"},
	{"414 02", "MPT"},
	{"414 03", "CDMA800"},
	{"414 04", "MPT"},
	{"414 05", "Ooredoo"},
	{"414 06", "Telenor"},
	{"414 09", "MNTC"},
	{"415 01", "Alfa"},
	{"415 03", "Touch"},
	{"415 05", "Ogero Mobile"},
	{"416 01", "zain JO"},
	{"416 02", "XPress Telecom"},
	{"416 03", "Umniah"},
	{"416 77", "Orange"},
	{"417 01", "Syriatel"},
	{"417 02", "MTN"},
	{"417 09", "Syrian Telecom"},
	{"418 00", "Asia Cell"},
	{"418 05", "Asia Cell"},
	{"418 08", "SanaTel"},
	{"418 20", "Zain"},
	{"418 30", "Zain"},
	{"418 40", "Korek"},
	{"418 45", "Mobitel"},
	{"418 62", "Itisaluna"},
	{"418 92", "Omnnea"},
	{"419 02", "zain KW"},
	{"419 03", "K.S.C Ooredoo"},
	{"419 04", "Viva"},
	{"420 01", "Al Jawal (STC )"},
	{"420 03", "Mobily"},
	{"420 04", "Zain SA"},
	{"420 05", "Virgin Mobile"},
	{"420 21", "RGSM"},
	{"421 01", "SabaFon"},
	{"421 02", "MTN"},
	{"421 03", "Yemen Mobile"},
	{"421 04", "HiTS-UNITEL"},
	{"422 02", "Omantel"},
	{"422 03", "ooredoo"},
	{"422 04", "Omantel"},
	{"424 02", "Etisalat"},
	{"424 03", "du"},
	{"425 01", "Partner"},
	{"425 02", "Cellcom"},
	{"425 03", "Pelephone"},
	{"425 04", "Globalsim Ltd"},
	{"425 05", "Jawwal"},
	{"425 05", "Jawwal"},
	{"425 06", "Wataniya"},
	{"425 06", "Wataniya Mobile"},
	{"425 07", "Hot Mobile"},
	{"425 08", "Golan Telecom"},
	{"425 09", "018 Xphone"},
	{"425 11", "365 Telecom"},
	{"425 12", "Free Telecom"},
	{"425 13", "Ituran Cellular Communications"},
	{"425 14", "Youphone"},
	{"425 15", "Home Cellular"},
	{"425 16", "Rami Levy"},
	{"425 17", "Sipme"},
	{"425 18", "Cellact Communications"},
	{"425 19", "Telzar 019"},
	{"425 20", "Bezeq"},
	{"425 21", "Bezeq International"},
	{"425 23", "Beezz Communication Solutions Ltd."},
	{"425 24", "012 Telecom"},
	{"425 25", "IMOD"},
	{"425 26", "LB Annatel Ltd."},
	{"425 28", "PHI Networks"},
	{"426 01", "Batelco"},
	{"426 02", "zain BH"},
	{"426 03", "Civil Aviation Authority"},
	{"426 04", "VIVA Bahrain"},
	{"426 05", "Batelco"},
	{"427 01", "ooredoo"},
	{"427 02", "Vodafone"},
	{"427 05", "Ministry of Interior"},
	{"427 06", "Ministry of Interior"},
	{"428 88", "Unitel"},
	{"428 91", "Skytel"},
	{"428 98", "G-Mobile"},
	{"428 99", "Mobicom"},
	{"429 01", "Namaste / NT Mobile / Sky Phone"},
	{"429 02", "Ncell"},
	{"429 03", "UTL"},
	{"429 04", "SmartCell"},
	{"432 08", "Shatel"},
	{"432 11", "IR-MCI (Hamrah-e-Avval)"},
	{"432 12", "Avacell"},
	{"432 14", "TKC"},
	{"432 19", "MTCE (Espadan)"},
	{"432 20", "Rightel"},
	{"432 32", "Taliya"},
	{"432 35", "MTN Irancell"},
	{"432 50", "Shatel"},
	{"432 70", "TCI"},
	{"432 93", "Iraphone"},
	{"434 01", "Buztel"},
	{"434 02", "Uzmacom"},
	{"434 03", "UzMobile"},
	{"434 04", "Beeline"},
	{"434 05", "Ucell"},
	{"434 06", "Perfectum Mobile"},
	{"434 07", "UMS"},
	{"434 08", "UzMobile"},
	{"436 01", "Tcell"},
	{"436 02", "Tcell"},
	{"436 03", "MegaFon"},
	{"436 04", "Babilon-M"},
	{"436 05", "Beeline"},
	{"436 10", "Babilon-T"},
	{"436 12", "Tcell"},
	{"437 01", "Beeline"},
	{"437 03", "Fonex"},
	{"437 05", "MegaCom"},
	{"437 09", "O!"},
	{"438 01", "MTS"},
	{"438 02", "TM-Cell"},
	{"438 03", "AGTS CDMA"},
	{"440 00", "Y!Mobile"},
	{"440 01", "UQ WiMAX"},
	{"440 02", "Hanshin Cable Engineering Co., Ltd."},
	{"440 03", "IIJmio"},
	{"440 04", "Japan Radio Company, Ltd."},
	{"440 05", "Wireless City Planning Inc."},
	{"440 06", "SAKURA Internet Inc."},
	{"440 10", "NTT docomo"},
	{"440 20", "SoftBank"},
	{"440 21", "SoftBank"},
	{"440 50", "au"},
	{"440 51", "au"},
	{"440 52", "au"},
	{"440 53", "au"},
	{"440 54", "au"},
	{"440 70", "au"},
	{"440 71", "au"},
	{"440 72", "au"},
	{"440 73", "au"},
	{"440 74", "au"},
	{"440 75", "au"},
	{"440 76", "au"},
	{"440 78", "au"},
	{"441 00", "Wireless City Planning Inc."},
	{"441 01", "SoftBank"},
	{"441 10", "UQ WiMAX"},
	{"450 01", "Globalstar Asia Pacific"},
	{"450 02", "KT"},
	{"450 03", "Power 017"},
	{"450 04", "KT"},
	{"450 05", "SKTelecom"},
	{"450 06", "LG U+"},
	{"450 07", "KT"},
	{"450 08", "olleh"},
	{"450 11", "Korea Cable Telecom"},
	{"450 12", "SKTelecom"},
	{"452 01", "MobiFone"},
	{"452 02", "Vinaphone"},
	{"452 03", "S-Fone"},
	{"452 04", "Viettel Mobile"},
	{"452 05", "Vietnamobile"},
	{"452 06", "EVNTelecom"},
	{"452 07", "Gmobile"},
	{"452 08", "EVNTelecom"},
	{"454 00", "1O1O / One2Free / New World Mobility / SUNMobile"},
	{"454 01", "CITIC Telecom 1616"},
	{"454 02", "CSL Limited"},
	{"454 03", "3"},
	{"454 04", "3 (2G)"},
	{"454 05", "3 (CDMA)"},
	{"454 06", "SmarTone"},
	{"454 07", "China Unicom"},
	{"454 08", "Truphone"},
	{"454 09", "China Motion Telecom"},
	{"454 10", "New World Mobility"},
	{"454 11", "China-Hong Kong Telecom"},
	{"454 12", "CMCC HK"},
	{"454 13", "CMCC HK"},
	{"454 14", "Hutchison Telecom"},
	{"454 15", "SmarTone Mobile Communications Limited"},
	{"454 16", "PCCW Mobile (2G)"},
	{"454 17", "SmarTone Mobile Communications Limited"},
	{"454 18", "CSL Limited"},
	{"454 19", "PCCW Mobile (3G)"},
	{"454 20", "PCCW Mobile (4G)"},
	{"454 21", "21Vianet Mobile Ltd."},
	{"454 22", "263 Mobile Communications (HongKong) Limited"},
	{"454 23", "Lycamobile"},
	{"454 24", "Multibyte Info Technology Ltd"},
	{"454 25", "Hong Kong Government"},
	{"454 26", "Hong Kong Government"},
	{"454 29", "PCCW Mobile (CDMA)"},
	{"454 30", "China Data Enterprises Ltd"},
	{"454 31", "CTExcel"},
	{"454 32", "Hong Kong Broadband Network Ltd"},
	{"454 35", "Webbing Hong Kong Ltd"},
	{"455 00", "SmarTone"},
	{"455 01", "CTM"},
	{"455 02", "China Telecom"},
	{"455 03", "3"},
	{"455 04", "CTM"},
	{"455 05", "3"},
	{"455 06", "SmarTone"},
	{"455 07", "China Telecom"},
	{"456 01", "Cellcard"},
	{"456 02", "Smart"},
	{"456 03", "qb"},
	{"456 04", "qb"},
	{"456 05", "Smart"},
	{"456 06", "Smart"},
	{"456 08", "Metfone"},
	{"456 09", "Metfone"},
	{"456 11", "SEATEL"},
	{"456 18", "Cellcard"},
	{"457 01", "LaoTel"},
	{"457 02", "ETL"},
	{"457 03", "Unitel"},
	{"457 08", "Beeline"},
	{"460 00", "China Mobile"},
	{"460 01", "China Unicom"},
	{"460 02", "China Mobile"},
	{"460 03", "China Telecom"},
	{"460 04", "Global Star Satellite"},
	{"460 05", "China Telecom"},
	{"460 06", "China Unicom"},
	{"460 07", "China Mobile"},
	{"460 08", "China Mobile"},
	{"460 09", "China Unicom"},
	{"460 11", "China Telecom"},
	{"460 20", "China Tietong"},
	{"466 01", "FarEasTone"},
	{"466 02", "FarEasTone"},
	{"466 03", "FarEasTone"},
	{"466 05", "APTG"},
	{"466 06", "FarEasTone"},
	{"466 07", "FarEasTone"},
	{"466 09", "VMAX"},
	{"466 10", "G1"},
	{"466 11", "Chunghwa LDM"},
	{"466 12", "Ambit Microsystems"},
	{"466 56", "FITEL"},
	{"466 68", "Tatung InfoComm"},
	{"466 88", "FarEasTone"},
	{"466 89", "T Star"},
	{"466 90", "T Star"},
	{"466 92", "Chunghwa"},
	{"466 93", "MobiTai"},
	{"466 97", "Taiwan Mobile"},
	{"466 99", "TransAsia"},
	{"467 05", "Koryolink"},
	{"467 06", "Koryolink"},
	{"467 193", "SunNet"},
	{"470 01", "Grameenphone"},
	{"470 02", "Robi"},
	{"470 03", "Banglalink"},
	{"470 04", "TeleTalk"},
	{"470 05", "Citycell"},
	{"470 07", "Airtel"},
	{"470 09", "ollo"},
	{"472 01", "Dhiraagu"},
	{"472 02", "Ooredoo"},
	{"502 01", "ATUR 450"},
	{"502 10", "Maxis, DiGi, Celcom, XOX"},
	{"502 11", "TM Homeline"},
	{"502 12", "Maxis"},
	{"502 13", "Celcom"},
	{"502 14", "Telekom Malaysia Berhad for PSTN SMS"},
	{"502 150", "Tune Talk"},
	{"502 151", "SalamFone"},
	{"502 152", "Yes"},
	{"502 153", "Webe"},
	{"502 154", "Tron"},
	{"502 155", "Clixster"},
	{"502 156", "Altel"},
	{"502 157", "Telin"},
	{"502 16", "DiGi"},
	{"502 17", "Maxis"},
	{"502 18", "U Mobile"},
	{"502 19", "Celcom"},
	{"502 20", "Electcoms"},
	{"505 01", "Telstra"},
	{"505 02", "Optus"},
	{"505 03", "Vodafone"},
	{"505 04", "Department of Defence"},
	{"505 05", "Ozitel"},
	{"505 06", "3"},
	{"505 07", "Vodafone"},
	{"505 08", "One.Tel"},
	{"505 09", "Airnet"},
	{"505 10", "Norfolk Is."},
	{"505 10", "Norfolk Telecom"},
	{"505 11", "Telstra"},
	{"505 12", "3"},
	{"505 13", "RailCorp"},
	{"505 14", "AAPT"},
	{"505 15", "3GIS"},
	{"505 16", "VicTrack"},
	{"505 17", "Optus"},
	{"505 18", "Pactel"},
	{"505 19", "Lycamobile"},
	{"505 20", "Ausgrid Corporation"},
	{"505 21", "Queensland Rail Limited"},
	{"505 22", "iiNet Ltd"},
	{"505 23", "Challenge Networks Pty. Ltd."},
	{"505 24", "Advanced Communications Technologies Pty. Ltd."},
	{"505 25", "Pilbara Iron Company Services Pty Ltd"},
	{"505 26", "Dialogue Communications Pty. Ltd."},
	{"505 27", "Nexium Telecommunications"},
	{"505 28", "RCOM International Pty Ltd"},
	{"505 30", "Compatel Limited"},
	{"505 31", "BHP Billiton"},
	{"505 32", "Thales Australia"},
	{"505 33", "CLX Networks Pty Ltd"},
	{"505 34", "Santos Limited"},
	{"505 35", "MessageBird Pty Ltd"},
	{"505 36", "Optus"},
	{"505 37", "Yancoal Australia Ltd"},
	{"505 38", "Truphone"},
	{"505 39", "Telstra"},
	{"505 40", "CITIC Pacific Mining"},
	{"505 41", "Aqura Technologies Pty"},
	{"505 42", "GEMCO"},
	{"505 50", "Pivotel Group Pty Limited"},
	{"505 61", "CommTel NS"},
	{"505 62", "NBN"},
	{"505 68", "NBN"},
	{"505 71", "Telstra"},
	{"505 72", "Telstra"},
	{"505 88", "Pivotel Group Pty Limited"},
	{"505 90", "Optus"},
	{"505 99", "One.Tel"},
	{"510 00", "PSN"},
	{"510 01", "Indosat Ooredoo"},
	{"510 03", "StarOne"},
	{"510 07", "TelkomFlexi"},
	{"510 08", "AXIS"},
	{"510 09", "Smartfren"},
	{"510 10", "Telkomsel"},
	{"510 11", "XL"},
	{"510 20", "TELKOMMobile"},
	{"510 21", "IM3"},
	{"510 27", "Net1"},
	{"510 28", "Fren/Hepi"},
	{"510 88", "BOLT! Super 4G"},
	{"510 89", "3"},
	{"510 99", "Esia"},
	{"514 01", "Telkomcel"},
	{"514 02", "TT"},
	{"514 03", "Telemor"},
	{"515 01", "Islacom"},
	{"515 02", "Globe"},
	{"515 03", "SMART"},
	{"515 05", "Sun Cellular"},
	{"515 11", "PLDT via ACeS Philippines"},
	{"515 18", "Cure"},
	{"515 24", "ABS-CBN Mobile"},
	{"515 88", "Next Mobile Inc."},
	{"520 00", "TrueMove H & my by CAT"},
	{"520 01", "AIS"},
	{"520 02", "CAT CDMA"},
	{"520 03", "AIS"},
	{"520 04", "TrueMove H"},
	{"520 05", "dtac TriNet"},
	{"520 15", "TOT 3G"},
	{"520 18", "dtac"},
	{"520 20", "ACeS"},
	{"520 23", "AIS GSM 1800"},
	{"520 25", "WE PCT"},
	{"520 47", "Telephone Organization of Thailand (TOT)"},
	{"520 99", "TrueMove"},
	{"525 01", "SingTel"},
	{"525 02", "SingTel-G18"},
	{"525 03", "M1"},
	{"525 05", "StarHub"},
	{"525 06", "StarHub"},
	{"525 07", "SingTel"},
	{"525 08", "StarHub"},
	{"525 09", "Circles.Life"},
	{"525 10", "TPG Telecom Pte Ltd"},
	{"525 12", "Grid"},
	{"528 01", "Jabatan Telekom Brunei"},
	{"528 02", "B-Mobile"},
	{"528 11", "DSTCom"},
	{"530 00", "Telecom"},
	{"530 01", "Vodafone"},
	{"530 02", "Telecom"},
	{"530 03", "Woosh"},
	{"530 04", "Vodafone"},
	{"530 05", "Spark"},
	{"530 06", "Skinny"},
	{"530 07", "Bluereach Limited"},
	{"530 24", "2degrees"},
	{"536 02", "Digicel"},
	{"537 01", "bmobile"},
	{"537 02", "citifon"},
	{"537 03", "Digicel"},
	{"539 01", "U-Call"},
	{"539 43", "Shoreline Communication"},
	{"539 88", "Digicel"},
	{"540 01", "BREEZE"},
	{"540 02", "BeMobile"},
	{"541 00", "AIL"},
	{"541 01", "SMILE"},
	{"541 05", "Digicel"},
	{"541 07", "WanTok"},
	{"542 01", "Vodafone"},
	{"542 02", "Digicel"},
	{"542 03", "Telecom Fiji Ltd"},
	{"543 01", "Manuia"},
	{"544 11", "Bluesky"},
	{"545 01", "Kiribati - TSKL"},
	{"545 02", "OceanLink"},
	{"545 09", "Kiribati - Frigate Net"},
	{"546 01", "Mobilis"},
	{"547 05", "Ora"},
	{"547 10", "Mara Telecom"},
	{"547 15", "Vodafone"},
	{"547 20", "Vini"},
	{"548 01", "Bluesky"},
	{"549 01", "Digicel"},
	{"549 27", "Bluesky"},
	{"550 01", "FSMTC"},
	{"551 01", "Marshall Islands National Telecommunications Authority (MINTA)"},
	{"552 01", "PNCC"},
	{"552 02", "PalauTel"},
	{"552 80", "Palau Mobile"},
	{"553 01", "TTC"},
	{"554 01", "Teletok"},
	{"555 01", "Telecom Niue"},
	{"602 01", "Orange"},
	{"602 02", "Vodafone"},
	{"602 03", "Etisalat"},
	{"602 04", "WE"},
	{"603 01", "Mobilis"},
	{"603 02", "Djezzy"},
	{"603 03", "Ooredoo"},
	{"603 07", "AT"},
	{"603 09", "AT"},
	{"603 21", "ANESRIF"},
	{"604 00", "Orange Morocco"},
	{"604 01", "IAM"},
	{"604 02", "INWI"},
	{"604 04", "Al Houria Telecom"},
	{"604 05", "INWI"},
	{"604 06", "IAM"},
	{"604 99", "Al Houria Telecom"},
	{"605 01", "Orange"},
	{"605 02", "Tunicell"},
	{"605 03", "OOREDOO TN"},
	{"606 00", "Libyana"},
	{"606 01", "Madar"},
	{"606 02", "Al-Jeel Phone"},
	{"606 03", "Libya Phone"},
	{"606 06", "Hatef Libya"},
	{"607 01", "Gamcel"},
	{"607 02", "Africell"},
	{"607 03", "Comium"},
	{"607 04", "QCell"},
	{"607 05", "GAMTEL-Ecowan"},
	{"607 06", "NETPAGE"},
	{"608 01", "Orange"},
	{"608 02", "Tigo"},
	{"608 03", "Expresso"},
	{"608 04", "CSU-SA"},
	{"609 01", "Mattel"},
	{"609 02", "Chinguitel"},
	{"609 10", "Mauritel"},
	{"610 01", "Malitel"},
	{"610 02", "Orange"},
	{"611 01", "Orange"},
	{"611 02", "Sotelgui"},
	{"611 03", "Telecel Guinee"},
	{"611 04", "MTN"},
	{"611 05", "Cellcom"},
	{"612 01", "Cora de Comstar"},
	{"612 02", "Moov"},
	{"612 03", "Orange"},
	{"612 04", "KoZ"},
	{"612 05", "MTN"},
	{"612 06", "GreenN"},
	{"612 07", "cafe"},
	{"612 18", "YooMee"},
	{"613 01", "Telmob"},
	{"613 02", "Orange"},
	{"613 03", "Telecel Faso"},
	{"614 01", "SahelCom"},
	{"614 02", "Airtel"},
	{"614 03", "Moov"},
	{"614 04", "Orange"},
	{"615 01", "Togo Cell"},
	{"615 03", "Moov"},
	{"616 01", "Libercom"},
	{"616 02", "Moov"},
	{"616 03", "MTN"},
	{"616 04", "BBCOM"},
	{"616 05", "Glo"},
	{"617 01", "my.t"},
	{"617 02", "MOKOZE / AZU"},
	{"617 03", "CHILI"},
	{"617 10", "Emtel"},
	{"618 01", "Lonestar Cell"},
	{"618 02", "Libercell"},
	{"618 04", "Novafone"},
	{"618 07", "Orange LBR"},
	{"618 20", "LIBTELCO"},
	{"619 01", "Airtel"},
	{"619 02", "Africell"},
	{"619 03", "Africell"},
	{"619 04", "Comium"},
	{"619 05", "Africell"},
	{"619 06", "SierraTel"},
	{"619 09", "Smart Mobile"},
	{"619 25", "Mobitel"},
	{"619 40", "Datatel (SL) Ltd."},
	{"619 50", "Datatel (SL) Ltd."},
	{"620 01", "MTN"},
	{"620 02", "Vodafone"},
	{"620 03", "AirtelTigo"},
	{"620 04", "Expresso"},
	{"620 06", "AirtelTigo"},
	{"620 07", "Globacom"},
	{"620 08", "Surfline"},
	{"620 10", "Blu"},
	{"620 11", "Netafrique Dot Com Ltd"},
	{"621 00", "Capcom"},
	{"621 20", "Airtel"},
	{"621 22", "InterC"},
	{"621 24", "Spectranet"},
	{"621 25", "Visafone"},
	{"621 26", "Swift"},
	{"621 27", "Smile"},
	{"621 30", "MTN"},
	{"621 40", "Ntel"},
	{"621 50", "Glo"},
	{"621 60", "9mobile"},
	{"622 01", "Airtel"},
	{"622 02", "Tawali"},
	{"622 03", "Tigo"},
	{"622 07", "Salam"},
	{"623 01", "CTP"},
	{"623 02", "TC"},
	{"623 03", "Orange"},
	{"623 04", "Nationlink"},
	{"624 01", "MTN Cameroon"},
	{"624 02", "Orange"},
	{"624 04", "Nexttel"},
	{"625 01", "CVMOVEL"},
	{"625 02", "T+"},
	{"626 01", "CSTmovel"},
	{"626 02", "Unitel STP"},
	{"627 01", "Orange GQ"},
	{"627 03", "Hits GQ"},
	{"628 01", "Libertis"},
	{"628 02", "Moov"},
	{"628 03", "Airtel"},
	{"628 04", "Azur"},
	{"628 05", "RAG"},
	{"629 01", "Airtel"},
	{"629 07", "Warid Telecom"},
	{"629 10", "Libertis Telecom"},
	{"630 01", "Vodacom"},
	{"630 02", "Airtel"},
	{"630 04", "Cellco"},
	{"630 05", "Supercell"},
	{"630 10", "MTN"},
	{"630 86", "Orange S.A."},
	{"630 88", "YTT"},
	{"630 89", "Tigo"},
	{"630 90", "Africell"},
	{"631 02", "UNITEL"},
	{"631 04", "MOVICEL"},
	{"632 01", "Guinetel"},
	{"632 02", "MTN Areeba"},
	{"632 03", "Orange"},
	{"632 07", "Guinetel"},
	{"633 01", "Cable & Wireless"},
	{"633 02", "Mediatech"},
	{"633 10", "Airtel"},
	{"634 01", "Zain SD"},
	{"634 02", "MTN"},
	{"634 03", "MTN"},
	{"634 05", "canar"},
	{"634 07", "Sudani One"},
	{"634 09", "Privet Network"},
	{"635 10", "MTN"},
	{"635 11", "Rwandatel"},
	{"635 12", "Rwandatel"},
	{"635 13", "Tigo"},
	{"635 14", "Airtel"},
	{"635 17", "Olleh"},
	{"636 01", "MTN"},
	{"637 01", "Telesom"},
	{"637 04", "Somafone"},
	{"637 10", "Nationlink"},
	{"637 20", "SOMNET"},
	{"637 30", "Golis"},
	{"637 50", "Hormuud"},
	{"637 57", "UNITEL"},
	{"637 60", "Nationlink"},
	{"637 67", "Horntel Group"},
	{"637 70", "Onkod Telecom Ltd."},
	{"637 71", "Somtel"},
	{"637 82", "Telcom"},
	{"638 01", "Evatis"},
	{"639 02", "Safaricom"},
	{"639 03", "Airtel"},
	{"639 05", "yu"},
	{"639 07", "Telkom"},
	{"640 01", "Rural NetCo Limited"},
	{"640 02", "tiGO"},
	{"640 03", "Zantel"},
	{"640 04", "Vodacom"},
	{"640 05", "Airtel"},
	{"640 06", "Sasatel (Dovetel)"},
	{"640 07", "TTCL Mobile"},
	{"640 08", "Smart"},
	{"640 09", "Halotel"},
	{"640 11", "SmileCom"},
	{"640 12", "MyCell Limited"},
	{"640 13", "Cootel"},
	{"641 01", "Airtel"},
	{"641 04", "Tangerine Uganda Limited"},
	{"641 06", "Vodafone"},
	{"641 10", "MTN"},
	{"641 11", "Uganda Telecom"},
	{"641 14", "Africell"},
	{"641 16", "SimbaNET Uganda Limited"},
	{"641 18", "Smart"},
	{"641 22", "Airtel"},
	{"641 26", "Lycamobile"},
	{"641 30", "Anupam Global Soft Uganda Limited"},
	{"641 33", "Smile"},
	{"641 40", "Civil Aviation Authority (CAA)"},
	{"641 44", "K2"},
	{"641 66", "i-Tel"},
	{"642 01", "econet Leo"},
	{"642 02", "Tempo"},
	{"642 03", "Onatel"},
	{"642 07", "Smart Mobile"},
	{"642 08", "Lumitel"},
	{"642 82", "econet Leo"},
	{"643 01", "mCel"},
	{"643 03", "Movitel"},
	{"643 04", "Vodacom"},
	{"645 01", "Airtel"},
	{"645 02", "MTN"},
	{"645 03", "ZAMTEL"},
	{"646 01", "Airtel"},
	{"646 02", "Orange"},
	{"646 03", "Sacel"},
	{"646 04", "Telma"},
	{"647 00", "Orange"},
	{"647 01", "BJT Partners"},
	{"647 02", "Free"},
	{"647 03", "Free"},
	{"647 04", "4G Reunion"},
	{"647 10", "SFR Reunion"},
	{"648 01", "Net*One"},
	{"648 03", "Telecel"},
	{"648 04", "Econet"},
	{"649 01", "MTC"},
	{"649 02", "switch"},
	{"649 03", "TN Mobile"},
	{"649 04", "Paratus Telecommunications (Pty)"},
	{"649 05", "Demshi Investments CC"},
	{"650 01", "TNM"},
	{"650 02", "Access"},
	{"650 10", "Airtel"},
	{"651 01", "Vodacom"},
	{"651 02", "Econet Telecom"},
	{"652 01", "Mascom"},
	{"652 02", "Orange"},
	{"652 04", "BTC Mobile"},
	{"653 01", "SPTC"},
	{"653 02", "Swazi Mobile Limited"},
	{"653 10", "Swazi MTN"},
	{"654 01", "HURI"},
	{"654 02", "TELCO SA"},
	{"655 01", "Vodacom"},
	{"655 02", "Telkom"},
	{"655 04", "Sasol (Pty) Ltd."},
	{"655 06", "Sentech (Pty) Ltd"},
	{"655 07", "Cell C"},
	{"655 10", "MTN"},
	{"655 11", "South African Police Service Gauteng"},
	{"655 12", "MTN"},
	{"655 13", "Neotel"},
	{"655 14", "Neotel"},
	{"655 16", "Phoenix System Integration (Pty) Ltd"},
	{"655 17", "Sishen Iron Ore Company (Ltd) Pty"},
	{"655 19", "Wireless Business Solutions (Pty) Ltd"},
	{"655 21", "Cape Town Metropolitan Council"},
	{"655 24", "SMSPortal (Pty) Ltd."},
	{"655 25", "Wirels Connect"},
	{"655 27", "A to Z Vaal Industrial Supplies Pty Ltd"},
	{"655 28", "Hymax Talking Solutions (Pty) Ltd"},
	{"655 30", "Bokamoso Consortium"},
	{"655 31", "Karabo Telecoms (Pty) Ltd."},
	{"655 32", "Ilizwi Telecommunications"},
	{"655 33", "Thinta Thinta Telecommunications Pty Ltd"},
	{"655 34", "Bokone Telecoms Pty Ltd"},
	{"655 35", "Kingdom Communications Pty Ltd"},
	{"655 36", "Amatole Telecommunications Pty Ltd"},
	{"655 38", "iBurst"},
	{"655 41", "South African Police Service"},
	{"655 46", "SMS Cellular Services (Pty) Ltd"},
	{"655 50", "Ericsson South Africa (Pty) Ltd"},
	{"655 51", "Integrat (Pty) Ltd"},
	{"655 53", "Lycamobile"},
	{"655 73", "iBurst"},
	{"655 74", "iBurst"},
	{"657 01", "Eritel"},
	{"658 01", "Sure"},
	{"659 02", "MTN"},
	{"659 03", "Gemtel"},
	{"659 04", "Vivacell"},
	{"659 06", "Zain"},
	{"659 07", "Sudani"},
	{"702 67", "DigiCell"},
	{"702 68", "INTELCO"},
	{"702 69", "SMART"},
	{"702 99", "SMART"},
	{"704 01", "Claro"},
	{"704 02", "Tigo"},
	{"704 03", "movistar"},
	{"706 01", "Claro"},
	{"706 02", "digicel"},
	{"706 03", "Tigo"},
	{"706 04", "movistar"},
	{"706 05", "RED"},
	{"708 001", "Claro"},
	{"708 002", "Tigo"},
	{"708 030", "Hondutel"},
	{"708 040", "Digicel"},
	{"710 21", "Claro"},
	{"710 30", "movistar"},
	{"710 73", "Claro"},
	{"712 01", "Kolbi ICE"},
	{"712 02", "Kolbi ICE"},
	{"712 03", "Claro"},
	{"712 04", "movistar"},
	{"712 20", "fullmovil"},
	{"714 01", "Cable & Wireless"},
	{"714 02", "movistar"},
	{"714 03", "Claro"},
	{"714 04", "Digicel"},
	{"716 06", "Movistar"},
	{"716 07", "Entel"},
	{"716 10", "Claro"},
	{"716 15", "Bitel"},
	{"716 17", "Entel"},
	{"722 010", "Movistar"},
	{"722 020", "Nextel"},
	{"722 034", "Personal"},
	{"722 040", "Globalstar"},
	{"722 070", "Movistar"},
	{"722 310", "Claro"},
	{"722 320", "Claro"},
	{"722 330", "Claro"},
	{"722 341", "Personal"},
	{"722 350", "PORT-HABLE"},
	{"724 00", "Nextel"},
	{"724 01", "SISTEER DO BRASIL TELECOMUNICACOES"},
	{"724 02", "TIM"},
	{"724 03", "TIM"},
	{"724 04", "TIM"},
	{"724 05", "Claro"},
	{"724 06", "Vivo"},
	{"724 10", "Vivo"},
	{"724 11", "Vivo"},
	{"724 15", "Sercomtel"},
	{"724 16", "Brasil Telecom GSM"},
	{"724 17", "Correios"},
	{"724 18", "datora"},
	{"724 23", "Vivo"},
	{"724 24", "Amazonia Celular"},
	{"724 30", "Oi"},
	{"724 31", "Oi"},
	{"724 32", "Algar Telecom"},
	{"724 33", "Algar Telecom"},
	{"724 34", "Algar Telecom"},
	{"724 35", "Telcom Telecomunicacoes"},
	{"724 36", "Options Telecomunicacoes"},
	{"724 37", "aeiou"},
	{"724 38", "Claro"},
	{"724 39", "Nextel"},
	{"724 54", "Conecta"},
	{"724 99", "Local"},
	{"730 01", "entel"},
	{"730 02", "movistar"},
	{"730 03", "CLARO CL"},
	{"730 04", "WOM"},
	{"730 05", "Multikom S.A."},
	{"730 06", "Telsur"},
	{"730 07", "movistar"},
	{"730 08", "VTR Movil"},
	{"730 09", "WOM"},
	{"730 10", "entel"},
	{"730 11", "Celupago S.A."},
	{"730 12", "Colo-Colo Movil<br />Wanderers Movil"},
	{"730 13", "Virgin Mobile"},
	{"730 14", "Netline Telefonica Movil Ltda"},
	{"730 15", "Cibeles Telecom S.A."},
	{"730 16", "Nomade Telecomunicaciones S.A."},
	{"730 17", "COMPATEL Chile Limitada"},
	{"730 18", "Empresas Bunker S.A."},
	{"730 19", "movil Falabella"},
	{"730 20", "Inversiones Santa Fe Limitada"},
	{"730 99", "Will"},
	{"732 001", "movistar"},
	{"732 002", "Edatel"},
	{"732 003", "LLEIDA S.A.S."},
	{"732 004", "COMPATEL COLOMBIA SAS"},
	{"732 020", "Tigo"},
	{"732 099", "EMCALI"},
	{"732 101", "Claro"},
	{"732 102", "Bellsouth Colombia"},
	{"732 103", "Tigo"},
	{"732 111", "Tigo"},
	{"732 123", "movistar"},
	{"732 130", "AVANTEL"},
	{"732 142", "Une EPM Telecomunicaciones S.A. E.S.P."},
	{"732 154", "Virgin Mobile"},
	{"732 165", "Colombia Movil S.A. ESP"},
	{"732 176", "DirecTV Colombia Ltda"},
	{"732 187", "eTb"},
	{"732 199", "SUMA Movil SAS"},
	{"734 01", "Digitel"},
	{"734 02", "Digitel GSM"},
	{"734 03", "DirecTV"},
	{"734 04", "movistar"},
	{"734 06", "Movilnet"},
	{"736 01", "Viva"},
	{"736 02", "Entel"},
	{"736 03", "Tigo"},
	{"738 01", "Digicel"},
	{"738 02", "GT&T Cellink Plus"},
	{"738 03", "Quark Communications Inc."},
	{"738 05", "eGovernment Unit, Ministry of the Presidency"},
	{"740 00", "Movistar"},
	{"740 01", "Claro"},
	{"740 02", "CNT Mobile"},
	{"740 03", "Tuenti"},
	{"744 01", "VOX"},
	{"744 02", "Claro/Hutchison"},
	{"744 03", "Compania Privada de Comunicaciones S.A."},
	{"744 04", "Tigo"},
	{"744 05", "Personal"},
	{"744 06", "Copaco"},
	{"746 02", "Telesur"},
	{"746 03", "Digicel"},
	{"746 04", "Digicel"},
	{"746 05", "Telesur"},
	{"748 00", "Antel"},
	{"748 01", "Antel"},
	{"748 03", "Antel"},
	{"748 07", "Movistar"},
	{"748 10", "Claro"},
	{"750 001", "Sure"},
	{"901 01", "ICO"},
	{"901 02", ""},
	{"901 03", "Iridium"},
	{"901 04", ""},
	{"901 05", "Thuraya RMSS Network"},
	{"901 06", "Thuraya Satellite Telecommunications Company"},
	{"901 07", ""},
	{"901 08", ""},
	{"901 09", ""},
	{"901 10", "ACeS"},
	{"901 11", "Inmarsat"},
	{"901 12", "Telenor"},
	{"901 13", "GSM.AQ"},
	{"901 14", "AeroMobile"},
	{"901 15", "OnAir"},
	{"901 16", "Cisco Jasper"},
	{"901 17", "Navitas"},
	{"901 18", "Cellular @Sea"},
	{"901 19", "Vodafone Malta Maritime"},
	{"901 20", "Intermatica"},
	{"901 21", "Wins Limited"},
	{"901 22", "MediaLincc Ltd"},
	{"901 23", ""},
	{"901 24", "iNum"},
	{"901 25", ""},
	{"901 26", "TIM@sea"},
	{"901 27", "OnMarine"},
	{"901 28", "Vodafone"},
	{"901 29", "Telenor"},
	{"901 30", ""},
	{"901 31", "Orange"},
	{"901 32", "Sky High"},
	{"901 33", "Smart Communications"},
	{"901 34", "tyntec GmbH"},
	{"901 35", "Globecomm Network Services"},
	{"901 36", "Azerfon"},
	{"901 37", "Transatel"},
	{"901 38", "Multiregional TransitTelecom (MTT)"},
	{"901 39", "MTX Connect Ltd"},
	{"901 40", "Deutsche Telekom AG"},
	{"901 41", "BodyTrace Netherlands B.V."},
	{"901 42", "DCN Hub ehf"},
	{"901 43", "EMnify GmbH"},
	{"901 44", "AT&T Inc."},
	{"901 45", "Advanced Wireless Network Company Limited"},
	{"901 46", "Telecom26 AG"},
	{"901 47", "Ooredoo"},
	{"901 48", "Com4"},
	{"901 49", "Zain Kuwait"},
	{"901 50", "EchoStar Mobile"},
	{"901 51", "VisionNG"},
	{"901 52", "Manx Telecom Trading Ltd."},
	{"901 53", "Deutsche Telekom AG"},
	{"901 54", "Teleena Holding B.V."},
	{"901 55", "Beezz Communication Solutions Ltd."},
	{"901 56", "ETSI"},
	{"901 57", "SAP"},
	{"901 58", "BICS"},
	{"901 88", "UN Office for the Coordination of Humanitarian Affairs (OCHA)"},
	{"995 01", "FonePlus"},
	{"999 99", "GammuTel"},

	{"", ""},
};

const unsigned char *GSM_GetNetworkName(const char *NetworkCode)
{
	int i = 0;
	static char retval[200];
	char NetworkCodeFull[8];
	const char *pos;

	EncodeUnicode(retval, "unknown", 7);

	/* Too long string */
	if (strlen(NetworkCode) > 7 || strlen(NetworkCode) < 5) {
		return retval;
	}
	pos = strchr(NetworkCode, ' ');
	if (pos == NULL) {
		pos = NetworkCode + 3;
	} else {
		pos += 1;
	}

	sprintf(NetworkCodeFull, "%c%c%c %s", NetworkCode[0], NetworkCode[1], NetworkCode[2], pos);

	for (i = 0; GSM_Networks[i].Code[0] != 0; i++) {
		if (strcmp(GSM_Networks[i].Code, NetworkCodeFull) == 0) {
			EncodeUnicode(retval, GSM_Networks[i].Name, strlen(GSM_Networks[i].Name));
			break;
		}
	}

	return retval;
}

const unsigned char *GSM_GetCountryName(const char *CountryCode)
{
	int		i = 0;
	static char	retval[200];

	EncodeUnicode(retval,"unknown",7);
	for (i = 0; GSM_Countries[i].Code[0] != 0; i++) {
		if (!strncmp(GSM_Countries[i].Code, CountryCode, 3)) {
			EncodeUnicode(retval, GSM_Countries[i].Name, strlen(GSM_Countries[i].Name));
			break;
		}
	}
	return retval;
}

void NOKIA_EncodeNetworkCode(unsigned char* buffer, const char* input)
{
	EncodeBCD(buffer, input, 6, FALSE);
	buffer[1] = buffer[1] | 0xf0;
}

void NOKIA_DecodeNetworkCode(const unsigned char* buffer, char* output)
{
	DecodeBCD(output, buffer, 3);
	output[6] = output[5];
	output[5] = output[4];
	output[4] = output[3];
	output[3] = ' ';
}

/* How should editor hadle tabs in this file? Add editor commands here.
 * vim: noexpandtab sw=8 ts=8 sts=8:
 */
